import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { body } from "../../../../structures/body";
import { webhook_minus_config } from "../../../../structures/webhook_minus_config";
/**
 * Get a webhook configuration for an app.
 * Returns the webhook configuration for a GitHub App. For more information about configuring a webhook for your app, see "[Creating a GitHub App](/developers/apps/creating-a-github-app)."
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 *
 * @tag apps
 * @path app/hook/config
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection): Promise<get.Output>;
export declare namespace get {
    type Output = webhook_minus_config;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/app/hook/config";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => webhook_minus_config;
    const simulate: (connection: IConnection) => Output;
}
/**
 * Update a webhook configuration for an app.
 * Updates the webhook configuration for a GitHub App. For more information about configuring a webhook for your app, see "[Creating a GitHub App](/developers/apps/creating-a-github-app)."
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 *
 * @tag apps
 * @path app/hook/config
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function patch(connection: IConnection, body: patch.Input): Promise<patch.Output>;
export declare namespace patch {
    type Input = body;
    type Output = webhook_minus_config;
    const METADATA: {
        readonly method: "PATCH";
        readonly path: "/app/hook/config";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => webhook_minus_config;
    const simulate: (connection: IConnection, body: patch.Input) => Output;
}
