import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiAppHookDeliveriesAttempts } from "../../../../../structures/IApiAppHookDeliveriesAttempts";
/**
 * Redeliver a delivery for an app webhook.
 * Redeliver a delivery for the webhook configured for a GitHub App.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 *
 * @tag apps
 * @path app/hook/deliveries/:delivery_id/attempts
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByDelivery_id(connection: IConnection<postByDelivery_id.Headers>, delivery_id: string): Promise<void>;
export declare namespace postByDelivery_id {
    type Headers = IApiAppHookDeliveriesAttempts.PostHeader;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/app/hook/deliveries/:delivery_id/attempts";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (delivery_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<postByDelivery_id.Headers>, delivery_id: string) => void;
}
