import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiAppHookDeliveries } from "../../../../structures/IApiAppHookDeliveries";
import { hook_minus_delivery } from "../../../../structures/hook_minus_delivery";
import { hook_minus_delivery_minus_item } from "../../../../structures/hook_minus_delivery_minus_item";
export * as attempts from "./attempts";
/**
 * List deliveries for an app webhook.
 * Returns a list of webhook deliveries for the webhook configured for a GitHub App.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 *
 * @tag apps
 * @path app/hook/deliveries
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection<get.Headers>, query: get.Query): Promise<get.Output>;
export declare namespace get {
    type Headers = IApiAppHookDeliveries.GetHeader;
    type Query = IApiAppHookDeliveries.GetQuery;
    type Output = hook_minus_delivery_minus_item[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/app/hook/deliveries";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (query: get.Query) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => hook_minus_delivery_minus_item[];
    const simulate: (connection: IConnection<get.Headers>, query: get.Query) => Output;
}
/**
 * Get a delivery for an app webhook.
 * Returns a delivery for the webhook configured for a GitHub App.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 *
 * @tag apps
 * @path app/hook/deliveries/:delivery_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByDelivery_id(connection: IConnection<getByDelivery_id.Headers>, delivery_id: string): Promise<getByDelivery_id.Output>;
export declare namespace getByDelivery_id {
    type Headers = IApiAppHookDeliveries.GetHeader;
    type Output = hook_minus_delivery;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/app/hook/deliveries/:delivery_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (delivery_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => hook_minus_delivery;
    const simulate: (connection: IConnection<getByDelivery_id.Headers>, delivery_id: string) => Output;
}
