import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { integration } from "../../structures/integration";
export * as hook from "./hook";
export * as installation_requests from "./installation_requests";
export * as installations from "./installations";
/**
 * Get the authenticated app.
 * Returns the GitHub App associated with the authentication credentials used. To see how many app installations are associated with this GitHub App, see the `installations_count` in the response. For more details about your app's installations, see the "[List installations for the authenticated app](https://docs.github.com/rest/apps/apps#list-installations-for-the-authenticated-app)" endpoint.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 *
 * @tag apps
 * @path app
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection): Promise<get.Output>;
export declare namespace get {
    type Output = integration;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/app";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => integration;
    const simulate: (connection: IConnection) => Output;
}
