import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiAppInstallationRequests } from "../../../structures/IApiAppInstallationRequests";
import { integration_minus_installation_minus_request } from "../../../structures/integration_minus_installation_minus_request";
/**
 * List installation requests for the authenticated app.
 * Lists all the pending installation requests for the authenticated GitHub App.
 *
 * @tag apps
 * @path app/installation-requests
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection<get.Headers>): Promise<get.Output>;
export declare namespace get {
    type Headers = IApiAppInstallationRequests.GetHeader;
    type Output = integration_minus_installation_minus_request[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/app/installation-requests";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => integration_minus_installation_minus_request[];
    const simulate: (connection: IConnection<get.Headers>) => Output;
}
