import { IConnection } from "@nestia/fetcher";
import typia from "typia";
/**
 * Create a GitHub App from a manifest.
 * Use this endpoint to complete the handshake necessary when implementing the [GitHub App Manifest flow](https://docs.github.com/apps/building-github-apps/creating-github-apps-from-a-manifest/). When you create a GitHub App with the manifest flow, you receive a temporary `code` used to retrieve the GitHub App's `id`, `pem` (private key), and `webhook_secret`.
 *
 * @tag apps
 * @path app-manifests/:code/conversions
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByCode(connection: IConnection, code: string): Promise<postByCode.Output>;
export declare namespace postByCode {
    type Output = any;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/app-manifests/:code/conversions";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (code: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => any;
    const simulate: (connection: IConnection, code: string) => Output;
}
