import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiApplicationsGrant } from "../../../structures/IApiApplicationsGrant";
import { body } from "../../../structures/body";
/**
 * Delete an app authorization.
 * OAuth and GitHub application owners can revoke a grant for their application and a specific user. You must provide a valid OAuth `access_token` as an input parameter and the grant for the token's owner will be deleted.
 * Deleting an application's grant will also delete all OAuth tokens associated with the application for the user. Once deleted, the application will have no access to the user's account and will no longer be listed on [the application authorizations settings screen within GitHub](https://github.com/settings/applications#authorized).
 *
 * @tag apps
 * @path applications/:client_id/grant
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function eraseByClient_id(connection: IConnection<eraseByClient_id.Headers>, client_id: string, body: eraseByClient_id.Input): Promise<void>;
export declare namespace eraseByClient_id {
    type Headers = IApiApplicationsGrant.DeleteHeader;
    type Input = body;
    const METADATA: {
        readonly method: "DELETE";
        readonly path: "/applications/:client_id/grant";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (client_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<eraseByClient_id.Headers>, client_id: string, body: eraseByClient_id.Input) => void;
}
