import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiApplicationsTokenScoped } from "../../../../structures/IApiApplicationsTokenScoped";
import { authorization } from "../../../../structures/authorization";
import { body } from "../../../../structures/body";
/**
 * Create a scoped access token.
 * Use a non-scoped user access token to create a repository-scoped and/or permission-scoped user access token. You can specify
 * which repositories the token can access and which permissions are granted to the
 * token.
 *
 * Invalid tokens will return `404 NOT FOUND`.
 *
 * @tag apps
 * @path applications/:client_id/token/scoped
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByClient_id(connection: IConnection<postByClient_id.Headers>, client_id: string, body: postByClient_id.Input): Promise<postByClient_id.Output>;
export declare namespace postByClient_id {
    type Headers = IApiApplicationsTokenScoped.PostHeader;
    type Input = body;
    type Output = authorization;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/applications/:client_id/token/scoped";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (client_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => authorization;
    const simulate: (connection: IConnection<postByClient_id.Headers>, client_id: string, body: postByClient_id.Input) => Output;
}
