import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiAssignments } from "../../structures/IApiAssignments";
import { classroom_minus_assignment } from "../../structures/classroom_minus_assignment";
export * as accepted_assignments from "./accepted_assignments";
export * as grades from "./grades";
/**
 * Get an assignment.
 * Gets a GitHub Classroom assignment. Assignment will only be returned if the current user is an administrator of the GitHub Classroom for the assignment.
 *
 * @tag classroom
 * @path assignments/:assignment_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByAssignment_id(connection: IConnection<getByAssignment_id.Headers>, assignment_id: string): Promise<getByAssignment_id.Output>;
export declare namespace getByAssignment_id {
    type Headers = IApiAssignments.GetHeader;
    type Output = classroom_minus_assignment;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/assignments/:assignment_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (assignment_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => classroom_minus_assignment;
    const simulate: (connection: IConnection<getByAssignment_id.Headers>, assignment_id: string) => Output;
}
