import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiClassrooms } from "../../structures/IApiClassrooms";
import { classroom } from "../../structures/classroom";
import { simple_minus_classroom } from "../../structures/simple_minus_classroom";
export * as assignments from "./assignments";
/**
 * List classrooms.
 * Lists GitHub Classroom classrooms for the current user. Classrooms will only be returned if the current user is an administrator of one or more GitHub Classrooms.
 *
 * @tag classroom
 * @path classrooms
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection<get.Headers>): Promise<get.Output>;
export declare namespace get {
    type Headers = IApiClassrooms.GetHeader;
    type Output = simple_minus_classroom[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/classrooms";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => simple_minus_classroom[];
    const simulate: (connection: IConnection<get.Headers>) => Output;
}
/**
 * Get a classroom.
 * Gets a GitHub Classroom classroom for the current user. Classroom will only be returned if the current user is an administrator of the GitHub Classroom.
 *
 * @tag classroom
 * @path classrooms/:classroom_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByClassroom_id(connection: IConnection<getByClassroom_id.Headers>, classroom_id: string): Promise<getByClassroom_id.Output>;
export declare namespace getByClassroom_id {
    type Headers = IApiClassrooms.GetHeader;
    type Output = classroom;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/classrooms/:classroom_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (classroom_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => classroom;
    const simulate: (connection: IConnection<getByClassroom_id.Headers>, classroom_id: string) => Output;
}
