import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiEvents } from "../../structures/IApiEvents";
import { event } from "../../structures/event";
/**
 * List public events.
 * > [!NOTE]
 * > This API is not built to serve real-time use cases. Depending on the time of day, event latency can be anywhere from 30s to 6h.
 *
 * @tag activity
 * @path events
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection<get.Headers>): Promise<get.Output>;
export declare namespace get {
    type Headers = IApiEvents.GetHeader;
    type Output = event[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/events";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => event[];
    const simulate: (connection: IConnection<get.Headers>) => Output;
}
