import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiGistsForks } from "../../../structures/IApiGistsForks";
import { base_minus_gist } from "../../../structures/base_minus_gist";
import { gist_minus_simple } from "../../../structures/gist_minus_simple";
/**
 * @tag gists
 * @path gists/:gist_id/forks
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByGist_id(connection: IConnection<getByGist_id.Headers>, gist_id: string): Promise<getByGist_id.Output>;
export declare namespace getByGist_id {
    type Headers = IApiGistsForks.GetHeader;
    type Output = gist_minus_simple[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/gists/:gist_id/forks";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (gist_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => gist_minus_simple[];
    const simulate: (connection: IConnection<getByGist_id.Headers>, gist_id: string) => Output;
}
/**
 * @tag gists
 * @path gists/:gist_id/forks
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByGist_id(connection: IConnection<postByGist_id.Headers>, gist_id: string): Promise<postByGist_id.Output>;
export declare namespace postByGist_id {
    type Headers = IApiGistsForks.PostHeader;
    type Output = base_minus_gist;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/gists/:gist_id/forks";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (gist_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => base_minus_gist;
    const simulate: (connection: IConnection<postByGist_id.Headers>, gist_id: string) => Output;
}
