import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiGistsPublic } from "../../../structures/IApiGistsPublic";
import { base_minus_gist } from "../../../structures/base_minus_gist";
/**
 * List public gists sorted by most recently updated to least recently updated.
 *
 * Note: With [pagination](https://docs.github.com/rest/guides/using-pagination-in-the-rest-api), you can fetch up to 3000 gists. For example, you can fetch 100 pages with 30 gists per page or 30 pages with 100 gists per page.
 *
 * @tag gists
 * @path gists/public
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection<get.Headers>): Promise<get.Output>;
export declare namespace get {
    type Headers = IApiGistsPublic.GetHeader;
    type Output = base_minus_gist[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/gists/public";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => base_minus_gist[];
    const simulate: (connection: IConnection<get.Headers>) => Output;
}
