import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiGistsStar } from "../../../structures/IApiGistsStar";
/**
 * @tag gists
 * @path gists/:gist_id/star
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByGist_id(connection: IConnection<getByGist_id.Headers>, gist_id: string): Promise<void>;
export declare namespace getByGist_id {
    type Headers = IApiGistsStar.GetHeader;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/gists/:gist_id/star";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (gist_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<getByGist_id.Headers>, gist_id: string) => void;
}
/**
 * Star a gist.
 * Note that you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP method](https://docs.github.com/rest/guides/getting-started-with-the-rest-api#http-method)."
 *
 * @tag gists
 * @path gists/:gist_id/star
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function putByGist_id(connection: IConnection<putByGist_id.Headers>, gist_id: string): Promise<void>;
export declare namespace putByGist_id {
    type Headers = IApiGistsStar.PutHeader;
    const METADATA: {
        readonly method: "PUT";
        readonly path: "/gists/:gist_id/star";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (gist_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<putByGist_id.Headers>, gist_id: string) => void;
}
/**
 * @tag gists
 * @path gists/:gist_id/star
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function eraseByGist_id(connection: IConnection<eraseByGist_id.Headers>, gist_id: string): Promise<void>;
export declare namespace eraseByGist_id {
    type Headers = IApiGistsStar.DeleteHeader;
    const METADATA: {
        readonly method: "DELETE";
        readonly path: "/gists/:gist_id/star";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (gist_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<eraseByGist_id.Headers>, gist_id: string) => void;
}
