import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiGistsStarred } from "../../../structures/IApiGistsStarred";
import { base_minus_gist } from "../../../structures/base_minus_gist";
/**
 * List starred gists.
 * List the authenticated user's starred gists:
 *
 * @tag gists
 * @path gists/starred
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection<get.Headers>): Promise<get.Output>;
export declare namespace get {
    type Headers = IApiGistsStarred.GetHeader;
    type Output = base_minus_gist[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/gists/starred";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => base_minus_gist[];
    const simulate: (connection: IConnection<get.Headers>) => Output;
}
