import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiLicenses } from "../../structures/IApiLicenses";
import { license } from "../../structures/license";
import { license_minus_simple } from "../../structures/license_minus_simple";
/**
 * Get all commonly used licenses.
 * Lists the most commonly used licenses on GitHub. For more information, see "[Licensing a repository ](https://docs.github.com/repositories/managing-your-repositorys-settings-and-features/customizing-your-repository/licensing-a-repository)."
 *
 * @tag licenses
 * @path licenses
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection<get.Headers>, query: get.Query): Promise<get.Output>;
export declare namespace get {
    type Headers = IApiLicenses.GetHeader;
    type Query = IApiLicenses.GetQuery;
    type Output = license_minus_simple[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/licenses";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (query: get.Query) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => license_minus_simple[];
    const simulate: (connection: IConnection<get.Headers>, query: get.Query) => Output;
}
/**
 * Get a license.
 * Gets information about a specific license. For more information, see "[Licensing a repository ](https://docs.github.com/repositories/managing-your-repositorys-settings-and-features/customizing-your-repository/licensing-a-repository)."
 *
 * @tag licenses
 * @path licenses/:license
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByLicense(connection: IConnection, license: string): Promise<getByLicense.Output>;
export declare namespace getByLicense {
    type Output = license;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/licenses/:license";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (license: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => license;
    const simulate: (connection: IConnection, license: string) => Output;
}
