import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiMarketplaceListingPlansAccounts } from "../../../../structures/IApiMarketplaceListingPlansAccounts";
import { marketplace_minus_purchase } from "../../../../structures/marketplace_minus_purchase";
/**
 * List accounts for a plan.
 * Returns user and organization accounts associated with the specified plan, including free plans. For per-seat pricing, you see the list of accounts that have purchased the plan, including the number of seats purchased. When someone submits a plan change that won't be processed until the end of their billing cycle, you will also see the upcoming pending change.
 *
 * GitHub Apps must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint. OAuth apps must use [basic authentication](https://docs.github.com/rest/authentication/authenticating-to-the-rest-api#using-basic-authentication) with their client ID and client secret to access this endpoint.
 *
 * @tag apps
 * @path marketplace_listing/plans/:plan_id/accounts
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByPlan_id(connection: IConnection<getByPlan_id.Headers>, plan_id: string, query: getByPlan_id.Query): Promise<getByPlan_id.Output>;
export declare namespace getByPlan_id {
    type Headers = IApiMarketplaceListingPlansAccounts.GetHeader;
    type Query = IApiMarketplaceListingPlansAccounts.GetQuery;
    type Output = marketplace_minus_purchase[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/marketplace_listing/plans/:plan_id/accounts";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (plan_id: string, query: getByPlan_id.Query) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => marketplace_minus_purchase[];
    const simulate: (connection: IConnection<getByPlan_id.Headers>, plan_id: string, query: getByPlan_id.Query) => Output;
}
