import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiNotificationsThreads } from "../../../structures/IApiNotificationsThreads";
import { thread } from "../../../structures/thread";
export * as subscription from "./subscription";
/**
 * Get a thread.
 * Gets information about a notification thread.
 *
 * @tag activity
 * @path notifications/threads/:thread_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByThread_id(connection: IConnection<getByThread_id.Headers>, thread_id: string): Promise<getByThread_id.Output>;
export declare namespace getByThread_id {
    type Headers = IApiNotificationsThreads.GetHeader;
    type Output = thread;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/notifications/threads/:thread_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (thread_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => thread;
    const simulate: (connection: IConnection<getByThread_id.Headers>, thread_id: string) => Output;
}
/**
 * Mark a thread as read.
 * Marks a thread as "read." Marking a thread as "read" is equivalent to clicking a notification in your notification inbox on GitHub: https://github.com/notifications.
 *
 * @tag activity
 * @path notifications/threads/:thread_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function patchByThread_id(connection: IConnection<patchByThread_id.Headers>, thread_id: string): Promise<void>;
export declare namespace patchByThread_id {
    type Headers = IApiNotificationsThreads.PatchHeader;
    const METADATA: {
        readonly method: "PATCH";
        readonly path: "/notifications/threads/:thread_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (thread_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<patchByThread_id.Headers>, thread_id: string) => void;
}
/**
 * Mark a thread as done.
 * Marks a thread as "done." Marking a thread as "done" is equivalent to marking a notification in your notification inbox on GitHub as done: https://github.com/notifications.
 *
 * @tag activity
 * @path notifications/threads/:thread_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function eraseByThread_id(connection: IConnection<eraseByThread_id.Headers>, thread_id: string): Promise<void>;
export declare namespace eraseByThread_id {
    type Headers = IApiNotificationsThreads.DeleteHeader;
    const METADATA: {
        readonly method: "DELETE";
        readonly path: "/notifications/threads/:thread_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (thread_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<eraseByThread_id.Headers>, thread_id: string) => void;
}
