import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsActionsCacheUsage } from "../../../../../structures/IApiOrgsActionsCacheUsage";
import { actions_minus_cache_minus_usage_minus_org_minus_enterprise } from "../../../../../structures/actions_minus_cache_minus_usage_minus_org_minus_enterprise";
/**
 * Get GitHub Actions cache usage for an organization.
 * Gets the total GitHub Actions cache usage for an organization.
 * The data fetched using this API is refreshed approximately every 5 minutes, so values returned from this endpoint may take at least 5 minutes to get updated.
 *
 * OAuth tokens and personal access tokens (classic) need the `read:org` scope to use this endpoint.
 *
 * @tag actions
 * @path orgs/:org/actions/cache/usage
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrg(connection: IConnection<getByOrg.Headers>, org: string): Promise<getByOrg.Output>;
export declare namespace getByOrg {
    type Headers = IApiOrgsActionsCacheUsage.GetHeader;
    type Output = actions_minus_cache_minus_usage_minus_org_minus_enterprise;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/actions/cache/usage";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => actions_minus_cache_minus_usage_minus_org_minus_enterprise;
    const simulate: (connection: IConnection<getByOrg.Headers>, org: string) => Output;
}
