import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsActionsOidcCustomizationSub } from "../../../../../../structures/IApiOrgsActionsOidcCustomizationSub";
import { empty_minus_object } from "../../../../../../structures/empty_minus_object";
import { oidc_minus_custom_minus_sub } from "../../../../../../structures/oidc_minus_custom_minus_sub";
/**
 * Get the customization template for an OIDC subject claim for an organization.
 * Gets the customization template for an OpenID Connect (OIDC) subject claim.
 *
 * OAuth app tokens and personal access tokens (classic) need the `read:org` scope to use this endpoint.
 *
 * @tag oidc
 * @path orgs/:org/actions/oidc/customization/sub
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrg(connection: IConnection<getByOrg.Headers>, org: string): Promise<getByOrg.Output>;
export declare namespace getByOrg {
    type Headers = IApiOrgsActionsOidcCustomizationSub.GetHeader;
    type Output = oidc_minus_custom_minus_sub;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/actions/oidc/customization/sub";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => oidc_minus_custom_minus_sub;
    const simulate: (connection: IConnection<getByOrg.Headers>, org: string) => Output;
}
/**
 * Set the customization template for an OIDC subject claim for an organization.
 * Creates or updates the customization template for an OpenID Connect (OIDC) subject claim.
 *
 * OAuth app tokens and personal access tokens (classic) need the `write:org` scope to use this endpoint.
 *
 * @tag oidc
 * @path orgs/:org/actions/oidc/customization/sub
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function putByOrg(connection: IConnection<putByOrg.Headers>, org: string, body: putByOrg.Input): Promise<putByOrg.Output>;
export declare namespace putByOrg {
    type Headers = IApiOrgsActionsOidcCustomizationSub.PutHeader;
    type Input = oidc_minus_custom_minus_sub;
    type Output = empty_minus_object;
    const METADATA: {
        readonly method: "PUT";
        readonly path: "/orgs/:org/actions/oidc/customization/sub";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => empty_minus_object;
    const simulate: (connection: IConnection<putByOrg.Headers>, org: string, body: putByOrg.Input) => Output;
}
