import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsActionsRunnersGenerateJitconfig } from "../../../../../structures/IApiOrgsActionsRunnersGenerateJitconfig";
import { body } from "../../../../../structures/body";
import { response } from "../../../../../structures/response";
/**
 * Create configuration for a just-in-time runner for an organization.
 * Generates a configuration that can be passed to the runner application at startup.
 *
 * The authenticated user must have admin access to the organization.
 *
 * OAuth tokens and personal access tokens (classic) need the`admin:org` scope to use this endpoint. If the repository is private, OAuth tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag actions
 * @path orgs/:org/actions/runners/generate-jitconfig
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOrg(connection: IConnection<postByOrg.Headers>, org: string, body: postByOrg.Input): Promise<postByOrg.Output>;
export declare namespace postByOrg {
    type Headers = IApiOrgsActionsRunnersGenerateJitconfig.PostHeader;
    type Input = body;
    type Output = response;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/orgs/:org/actions/runners/generate-jitconfig";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => response;
    const simulate: (connection: IConnection<postByOrg.Headers>, org: string, body: postByOrg.Input) => Output;
}
