import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsCodeScanningAlerts } from "../../../../structures/IApiOrgsCodeScanningAlerts";
import { code_minus_scanning_minus_organization_minus_alert_minus_items } from "../../../../structures/code_minus_scanning_minus_organization_minus_alert_minus_items";
/**
 * List code scanning alerts for an organization.
 * Lists code scanning alerts for the default branch for all eligible repositories in an organization. Eligible repositories are repositories that are owned by organizations that you own or for which you are a security manager. For more information, see "[Managing security managers in your organization](https://docs.github.com/organizations/managing-peoples-access-to-your-organization-with-roles/managing-security-managers-in-your-organization)."
 *
 * The authenticated user must be an owner or security manager for the organization to use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `security_events` or `repo`s cope to use this endpoint with private or public repositories, or the `public_repo` scope to use this endpoint with only public repositories.
 *
 * @tag code-scanning
 * @path orgs/:org/code-scanning/alerts
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrg(connection: IConnection<getByOrg.Headers>, org: string, query: getByOrg.Query): Promise<getByOrg.Output>;
export declare namespace getByOrg {
    type Headers = IApiOrgsCodeScanningAlerts.GetHeader;
    type Query = IApiOrgsCodeScanningAlerts.GetQuery;
    type Output = code_minus_scanning_minus_organization_minus_alert_minus_items[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/code-scanning/alerts";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string, query: getByOrg.Query) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => code_minus_scanning_minus_organization_minus_alert_minus_items[];
    const simulate: (connection: IConnection<getByOrg.Headers>, org: string, query: getByOrg.Query) => Output;
}
