import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsCodeSecurityConfigurationsDetach } from "../../../../../structures/IApiOrgsCodeSecurityConfigurationsDetach";
import { body } from "../../../../../structures/body";
/**
 * Detach configurations from repositories.
 * Detach code security configuration(s) from a set of repositories.
 * Repositories will retain their settings but will no longer be associated with the configuration.
 *
 * The authenticated user must be an administrator or security manager for the organization to use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `write:org` scope to use this endpoint.
 *
 * @tag code-security
 * @path orgs/:org/code-security/configurations/detach
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function eraseByOrg(connection: IConnection<eraseByOrg.Headers>, org: string, body: eraseByOrg.Input): Promise<void>;
export declare namespace eraseByOrg {
    type Headers = IApiOrgsCodeSecurityConfigurationsDetach.DeleteHeader;
    type Input = body;
    const METADATA: {
        readonly method: "DELETE";
        readonly path: "/orgs/:org/code-security/configurations/detach";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<eraseByOrg.Headers>, org: string, body: eraseByOrg.Input) => void;
}
