import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsCodespacesAccess } from "../../../../structures/IApiOrgsCodespacesAccess";
import { body } from "../../../../structures/body";
export * as selected_users from "./selected_users";
/**
 * Manage access control for organization codespaces.
 * Sets which users can access codespaces in an organization. This is synonymous with granting or revoking codespaces access permissions for users according to the visibility.
 * OAuth app tokens and personal access tokens (classic) need the `admin:org` scope to use this endpoint.
 *
 * @tag codespaces
 * @deprecated
 * @path orgs/:org/codespaces/access
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function putByOrg(connection: IConnection<putByOrg.Headers>, org: string, body: putByOrg.Input): Promise<void>;
export declare namespace putByOrg {
    type Headers = IApiOrgsCodespacesAccess.PutHeader;
    type Input = body;
    const METADATA: {
        readonly method: "PUT";
        readonly path: "/orgs/:org/codespaces/access";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<putByOrg.Headers>, org: string, body: putByOrg.Input) => void;
}
