import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsDependabotSecretsPublicKey } from "../../../../../structures/IApiOrgsDependabotSecretsPublicKey";
import { dependabot_minus_public_minus_key } from "../../../../../structures/dependabot_minus_public_minus_key";
/**
 * Get an organization public key.
 * Gets your public key, which you need to encrypt secrets. You need to
 * encrypt a secret before you can create or update secrets.
 *
 * OAuth app tokens and personal access tokens (classic) need the `admin:org` scope to use this endpoint.
 *
 * @tag dependabot
 * @path orgs/:org/dependabot/secrets/public-key
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrg(connection: IConnection<getByOrg.Headers>, org: string): Promise<getByOrg.Output>;
export declare namespace getByOrg {
    type Headers = IApiOrgsDependabotSecretsPublicKey.GetHeader;
    type Output = dependabot_minus_public_minus_key;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/dependabot/secrets/public-key";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => dependabot_minus_public_minus_key;
    const simulate: (connection: IConnection<getByOrg.Headers>, org: string) => Output;
}
