import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsFailedInvitations } from "../../../structures/IApiOrgsFailedInvitations";
import { organization_minus_invitation } from "../../../structures/organization_minus_invitation";
/**
 * List failed organization invitations.
 * The return hash contains `failed_at` and `failed_reason` fields which represent the time at which the invitation failed and the reason for the failure.
 *
 * @tag orgs
 * @path orgs/:org/failed_invitations
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrg(connection: IConnection<getByOrg.Headers>, org: string): Promise<getByOrg.Output>;
export declare namespace getByOrg {
    type Headers = IApiOrgsFailedInvitations.GetHeader;
    type Output = organization_minus_invitation[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/failed_invitations";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => organization_minus_invitation[];
    const simulate: (connection: IConnection<getByOrg.Headers>, org: string) => Output;
}
