import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsHooksPings } from "../../../../structures/IApiOrgsHooksPings";
/**
 * Ping an organization webhook.
 * This will trigger a [ping event](https://docs.github.com/webhooks/#ping-event)
 * to be sent to the hook.
 *
 * You must be an organization owner to use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit
 * webhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.
 *
 * @tag orgs
 * @path orgs/:org/hooks/:hook_id/pings
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOrgAndHook_id(connection: IConnection<postByOrgAndHook_id.Headers>, org: string, hook_id: string): Promise<void>;
export declare namespace postByOrgAndHook_id {
    type Headers = IApiOrgsHooksPings.PostHeader;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/orgs/:org/hooks/:hook_id/pings";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string, hook_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<postByOrgAndHook_id.Headers>, org: string, hook_id: string) => void;
}
