import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsInstallations } from "../../../structures/IApiOrgsInstallations";
import { response } from "../../../structures/response";
/**
 * List app installations for an organization.
 * Lists all GitHub Apps in an organization. The installation count includes
 * all GitHub Apps installed on repositories in the organization.
 *
 * The authenticated user must be an organization owner to use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `admin:read` scope to use this endpoint.
 *
 * @tag orgs
 * @path orgs/:org/installations
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrg(connection: IConnection<getByOrg.Headers>, org: string): Promise<getByOrg.Output>;
export declare namespace getByOrg {
    type Headers = IApiOrgsInstallations.GetHeader;
    type Output = response;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/installations";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => response;
    const simulate: (connection: IConnection<getByOrg.Headers>, org: string) => Output;
}
