import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsInvitationsTeams } from "../../../../structures/IApiOrgsInvitationsTeams";
import { team } from "../../../../structures/team";
/**
 * List organization invitation teams.
 * List all teams associated with an invitation. In order to see invitations in an organization, the authenticated user must be an organization owner.
 *
 * @tag orgs
 * @path orgs/:org/invitations/:invitation_id/teams
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrgAndInvitation_id(connection: IConnection<getByOrgAndInvitation_id.Headers>, org: string, invitation_id: string): Promise<getByOrgAndInvitation_id.Output>;
export declare namespace getByOrgAndInvitation_id {
    type Headers = IApiOrgsInvitationsTeams.GetHeader;
    type Output = team[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/invitations/:invitation_id/teams";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string, invitation_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => team[];
    const simulate: (connection: IConnection<getByOrgAndInvitation_id.Headers>, org: string, invitation_id: string) => Output;
}
