import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsMembersCodespaces } from "../../../../structures/IApiOrgsMembersCodespaces";
import { response } from "../../../../structures/response";
export * as stop from "./stop";
/**
 * List codespaces for a user in organization.
 * Lists the codespaces that a member of an organization has for repositories in that organization.
 *
 * OAuth app tokens and personal access tokens (classic) need the `admin:org` scope to use this endpoint.
 *
 * @tag codespaces
 * @path orgs/:org/members/:username/codespaces
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrgAndUsername(connection: IConnection<getByOrgAndUsername.Headers>, org: string, username: string): Promise<getByOrgAndUsername.Output>;
export declare namespace getByOrgAndUsername {
    type Headers = IApiOrgsMembersCodespaces.GetHeader;
    type Output = response;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/members/:username/codespaces";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string, username: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => response;
    const simulate: (connection: IConnection<getByOrgAndUsername.Headers>, org: string, username: string) => Output;
}
/**
 * Delete a codespace from the organization.
 * Deletes a user's codespace.
 *
 * OAuth app tokens and personal access tokens (classic) need the `admin:org` scope to use this endpoint.
 *
 * @tag codespaces
 * @path orgs/:org/members/:username/codespaces/:codespace_name
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function eraseByOrgAndUsernameAndCodespace_name(connection: IConnection<eraseByOrgAndUsernameAndCodespace_name.Headers>, org: string, username: string, codespace_name: string): Promise<void>;
export declare namespace eraseByOrgAndUsernameAndCodespace_name {
    type Headers = IApiOrgsMembersCodespaces.DeleteHeader;
    const METADATA: {
        readonly method: "DELETE";
        readonly path: "/orgs/:org/members/:username/codespaces/:codespace_name";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string, username: string, codespace_name: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<eraseByOrgAndUsernameAndCodespace_name.Headers>, org: string, username: string, codespace_name: string) => void;
}
