import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsMembersCopilot } from "../../../../structures/IApiOrgsMembersCopilot";
import { copilot_minus_seat_minus_details } from "../../../../structures/copilot_minus_seat_minus_details";
/**
 * Get Copilot seat assignment details for a user.
 * > [!NOTE]
 * > This endpoint is in beta and is subject to change.
 *
 * Gets the GitHub Copilot seat assignment details for a member of an organization who currently has access to GitHub Copilot.
 *
 * Only organization owners can view Copilot seat assignment details for members of their organization.
 *
 * OAuth app tokens and personal access tokens (classic) need either the `manage_billing:copilot` or `read:org` scopes to use this endpoint.
 *
 * @tag copilot
 * @path orgs/:org/members/:username/copilot
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrgAndUsername(connection: IConnection<getByOrgAndUsername.Headers>, org: string, username: string): Promise<getByOrgAndUsername.Output>;
export declare namespace getByOrgAndUsername {
    type Headers = IApiOrgsMembersCopilot.GetHeader;
    type Output = copilot_minus_seat_minus_details;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/members/:username/copilot";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string, username: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => copilot_minus_seat_minus_details;
    const simulate: (connection: IConnection<getByOrgAndUsername.Headers>, org: string, username: string) => Output;
}
