import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsMigrationsArchive } from "../../../../structures/IApiOrgsMigrationsArchive";
/**
 * Download an organization migration archive.
 * Fetches the URL to a migration archive.
 *
 * @tag migrations
 * @path orgs/:org/migrations/:migration_id/archive
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrgAndMigration_id(connection: IConnection<getByOrgAndMigration_id.Headers>, org: string, migration_id: string): Promise<void>;
export declare namespace getByOrgAndMigration_id {
    type Headers = IApiOrgsMigrationsArchive.GetHeader;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/migrations/:migration_id/archive";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string, migration_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<getByOrgAndMigration_id.Headers>, org: string, migration_id: string) => void;
}
/**
 * Delete an organization migration archive.
 * Deletes a previous migration archive. Migration archives are automatically deleted after seven days.
 *
 * @tag migrations
 * @path orgs/:org/migrations/:migration_id/archive
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function eraseByOrgAndMigration_id(connection: IConnection<eraseByOrgAndMigration_id.Headers>, org: string, migration_id: string): Promise<void>;
export declare namespace eraseByOrgAndMigration_id {
    type Headers = IApiOrgsMigrationsArchive.DeleteHeader;
    const METADATA: {
        readonly method: "DELETE";
        readonly path: "/orgs/:org/migrations/:migration_id/archive";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string, migration_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<eraseByOrgAndMigration_id.Headers>, org: string, migration_id: string) => void;
}
