import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsMigrationsReposLock } from "../../../../../structures/IApiOrgsMigrationsReposLock";
/**
 * Unlock an organization repository.
 * Unlocks a repository that was locked for migration. You should unlock each migrated repository and [delete them](https://docs.github.com/rest/repos/repos#delete-a-repository) when the migration is complete and you no longer need the source data.
 *
 * @tag migrations
 * @path orgs/:org/migrations/:migration_id/repos/:repo_name/lock
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function eraseByOrgAndMigration_idAndRepo_name(connection: IConnection<eraseByOrgAndMigration_idAndRepo_name.Headers>, org: string, migration_id: string, repo_name: string): Promise<void>;
export declare namespace eraseByOrgAndMigration_idAndRepo_name {
    type Headers = IApiOrgsMigrationsReposLock.DeleteHeader;
    const METADATA: {
        readonly method: "DELETE";
        readonly path: "/orgs/:org/migrations/:migration_id/repos/:repo_name/lock";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string, migration_id: string, repo_name: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<eraseByOrgAndMigration_idAndRepo_name.Headers>, org: string, migration_id: string, repo_name: string) => void;
}
