import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsMigrationsRepositories } from "../../../../structures/IApiOrgsMigrationsRepositories";
import { minimal_minus_repository } from "../../../../structures/minimal_minus_repository";
/**
 * List repositories in an organization migration.
 * List all the repositories for this organization migration.
 *
 * @tag migrations
 * @path orgs/:org/migrations/:migration_id/repositories
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrgAndMigration_id(connection: IConnection<getByOrgAndMigration_id.Headers>, org: string, migration_id: string): Promise<getByOrgAndMigration_id.Output>;
export declare namespace getByOrgAndMigration_id {
    type Headers = IApiOrgsMigrationsRepositories.GetHeader;
    type Output = minimal_minus_repository[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/migrations/:migration_id/repositories";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string, migration_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => minimal_minus_repository[];
    const simulate: (connection: IConnection<getByOrgAndMigration_id.Headers>, org: string, migration_id: string) => Output;
}
