import { IConnection } from "@nestia/fetcher";
import typia, { tags } from "typia";
import { IApiOrgsPersonalAccessTokensRepositories } from "../../../../structures/IApiOrgsPersonalAccessTokensRepositories";
import { minimal_minus_repository } from "../../../../structures/minimal_minus_repository";
/**
 * List repositories a fine-grained personal access token has access to.
 * Lists the repositories a fine-grained personal access token has access to.
 *
 * Only GitHub Apps can use this endpoint.
 *
 * @param pat_id Unique identifier of the fine-grained personal access token.
 * @tag orgs
 * @path orgs/:org/personal-access-tokens/:pat_id/repositories
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrgAndPat_id(connection: IConnection<getByOrgAndPat_id.Headers>, org: string, pat_id: number & tags.Type<"int32">): Promise<getByOrgAndPat_id.Output>;
export declare namespace getByOrgAndPat_id {
    type Headers = IApiOrgsPersonalAccessTokensRepositories.GetHeader;
    type Output = minimal_minus_repository[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/personal-access-tokens/:pat_id/repositories";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string, pat_id: number & tags.Type<"int32">) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => minimal_minus_repository[];
    const simulate: (connection: IConnection<getByOrgAndPat_id.Headers>, org: string, pat_id: number & tags.Type<"int32">) => Output;
}
