import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsRulesetsRuleSuites } from "../../../../structures/IApiOrgsRulesetsRuleSuites";
import { rule_minus_suite } from "../../../../structures/rule_minus_suite";
import { rule_minus_suites } from "../../../../structures/rule_minus_suites";
/**
 * List organization rule suites.
 * Lists suites of rule evaluations at the organization level.
 * For more information, see "[Managing rulesets for repositories in your organization](https://docs.github.com/organizations/managing-organization-settings/managing-rulesets-for-repositories-in-your-organization#viewing-insights-for-rulesets)."
 *
 * @tag repos
 * @path orgs/:org/rulesets/rule-suites
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrg(connection: IConnection<getByOrg.Headers>, org: string): Promise<getByOrg.Output>;
export declare namespace getByOrg {
    type Headers = IApiOrgsRulesetsRuleSuites.GetHeader;
    type Output = rule_minus_suites;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/rulesets/rule-suites";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => rule_minus_suites;
    const simulate: (connection: IConnection<getByOrg.Headers>, org: string) => Output;
}
/**
 * Get an organization rule suite.
 * Gets information about a suite of rule evaluations from within an organization.
 * For more information, see "[Managing rulesets for repositories in your organization](https://docs.github.com/organizations/managing-organization-settings/managing-rulesets-for-repositories-in-your-organization#viewing-insights-for-rulesets)."
 *
 * @tag repos
 * @path orgs/:org/rulesets/rule-suites/:rule_suite_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrgAndRule_suite_id(connection: IConnection<getByOrgAndRule_suite_id.Headers>, org: string, rule_suite_id: string): Promise<getByOrgAndRule_suite_id.Output>;
export declare namespace getByOrgAndRule_suite_id {
    type Headers = IApiOrgsRulesetsRuleSuites.GetHeader;
    type Output = rule_minus_suite;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/rulesets/rule-suites/:rule_suite_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string, rule_suite_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => rule_minus_suite;
    const simulate: (connection: IConnection<getByOrgAndRule_suite_id.Headers>, org: string, rule_suite_id: string) => Output;
}
