import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiOrgsSettingsBillingSharedStorage } from "../../../../../structures/IApiOrgsSettingsBillingSharedStorage";
import { combined_minus_billing_minus_usage } from "../../../../../structures/combined_minus_billing_minus_usage";
/**
 * Get shared storage billing for an organization.
 * Gets the estimated paid and estimated total storage used for GitHub Actions and GitHub Packages.
 *
 * Paid minutes only apply to packages stored for private repositories. For more information, see "[Managing billing for GitHub Packages](https://docs.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-packages)."
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` or `admin:org` scope to use this endpoint.
 *
 * @tag billing
 * @path orgs/:org/settings/billing/shared-storage
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOrg(connection: IConnection<getByOrg.Headers>, org: string): Promise<getByOrg.Output>;
export declare namespace getByOrg {
    type Headers = IApiOrgsSettingsBillingSharedStorage.GetHeader;
    type Output = combined_minus_billing_minus_usage;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/orgs/:org/settings/billing/shared-storage";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (org: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => combined_minus_billing_minus_usage;
    const simulate: (connection: IConnection<getByOrg.Headers>, org: string) => Output;
}
