import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiProjectsColumns } from "../../../structures/IApiProjectsColumns";
import { body } from "../../../structures/body";
import { project_minus_column } from "../../../structures/project_minus_column";
export * as cards from "./cards";
export * as moves from "./moves";
/**
 * Get a project column.
 * Gets information about a project column.
 *
 * @tag projects
 * @path projects/columns/:column_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByColumn_id(connection: IConnection<getByColumn_id.Headers>, column_id: string): Promise<getByColumn_id.Output>;
export declare namespace getByColumn_id {
    type Headers = IApiProjectsColumns.GetHeader;
    type Output = project_minus_column;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/projects/columns/:column_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (column_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => project_minus_column;
    const simulate: (connection: IConnection<getByColumn_id.Headers>, column_id: string) => Output;
}
/**
 * @tag projects
 * @path projects/columns/:column_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function patchByColumn_id(connection: IConnection<patchByColumn_id.Headers>, column_id: string, body: patchByColumn_id.Input): Promise<patchByColumn_id.Output>;
export declare namespace patchByColumn_id {
    type Headers = IApiProjectsColumns.PatchHeader;
    type Input = body;
    type Output = project_minus_column;
    const METADATA: {
        readonly method: "PATCH";
        readonly path: "/projects/columns/:column_id";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (column_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => project_minus_column;
    const simulate: (connection: IConnection<patchByColumn_id.Headers>, column_id: string, body: patchByColumn_id.Input) => Output;
}
/**
 * Delete a project column.
 * Deletes a project column.
 *
 * @tag projects
 * @path projects/columns/:column_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function eraseByColumn_id(connection: IConnection<eraseByColumn_id.Headers>, column_id: string): Promise<void>;
export declare namespace eraseByColumn_id {
    type Headers = IApiProjectsColumns.DeleteHeader;
    const METADATA: {
        readonly method: "DELETE";
        readonly path: "/projects/columns/:column_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (column_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<eraseByColumn_id.Headers>, column_id: string) => void;
}
/**
 * List project columns.
 * Lists the project columns in a project.
 *
 * @tag projects
 * @path projects/:project_id/columns
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByProject_id(connection: IConnection<getByProject_id.Headers>, project_id: string): Promise<getByProject_id.Output>;
export declare namespace getByProject_id {
    type Headers = IApiProjectsColumns.GetHeader;
    type Output = project_minus_column[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/projects/:project_id/columns";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (project_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => project_minus_column[];
    const simulate: (connection: IConnection<getByProject_id.Headers>, project_id: string) => Output;
}
/**
 * Create a project column.
 * Creates a new project column.
 *
 * @tag projects
 * @path projects/:project_id/columns
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByProject_id(connection: IConnection<postByProject_id.Headers>, project_id: string, body: postByProject_id.Input): Promise<postByProject_id.Output>;
export declare namespace postByProject_id {
    type Headers = IApiProjectsColumns.PostHeader;
    type Input = body;
    type Output = project_minus_column;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/projects/:project_id/columns";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (project_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => project_minus_column;
    const simulate: (connection: IConnection<postByProject_id.Headers>, project_id: string, body: postByProject_id.Input) => Output;
}
