import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposImportLargeFiles } from "../../../../structures/IApiReposImportLargeFiles";
import { porter_minus_large_minus_file } from "../../../../structures/porter_minus_large_minus_file";
/**
 * Get large files.
 * List files larger than 100MB found during the import
 *
 * > [!WARNING]
 * > **Deprecation notice:** Due to very low levels of usage and available alternatives, this endpoint is deprecated and will no longer be available from 00:00 UTC on April 12, 2024. For more details and alternatives, see the [changelog](https://gh.io/source-imports-api-deprecation).
 *
 * @tag migrations
 * @deprecated
 * @path repos/:owner/:repo/import/large_files
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposImportLargeFiles.GetHeader;
    type Output = porter_minus_large_minus_file[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/import/large_files";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => porter_minus_large_minus_file[];
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
