import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposImportLfs } from "../../../../structures/IApiReposImportLfs";
import { body } from "../../../../structures/body";
import { Import } from "../../../../structures/import";
/**
 * Update Git LFS preference.
 * You can import repositories from Subversion, Mercurial, and TFS that include files larger than 100MB. This ability
 * is powered by [Git LFS](https://git-lfs.com).
 *
 * You can learn more about our LFS feature and working with large files [on our help
 * site](https://docs.github.com/repositories/working-with-files/managing-large-files).
 *
 * > [!WARNING]
 * > **Deprecation notice:** Due to very low levels of usage and available alternatives, this endpoint is deprecated and will no longer be available from 00:00 UTC on April 12, 2024. For more details and alternatives, see the [changelog](https://gh.io/source-imports-api-deprecation).
 *
 * @tag migrations
 * @deprecated
 * @path repos/:owner/:repo/import/lfs
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function patchByOwnerAndRepo(connection: IConnection<patchByOwnerAndRepo.Headers>, owner: string, repo: string, body: patchByOwnerAndRepo.Input): Promise<patchByOwnerAndRepo.Output>;
export declare namespace patchByOwnerAndRepo {
    type Headers = IApiReposImportLfs.PatchHeader;
    type Input = body;
    type Output = Import;
    const METADATA: {
        readonly method: "PATCH";
        readonly path: "/repos/:owner/:repo/import/lfs";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => Import;
    const simulate: (connection: IConnection<patchByOwnerAndRepo.Headers>, owner: string, repo: string, body: patchByOwnerAndRepo.Input) => Output;
}
