import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposActionsJobsLogs } from "../../../../../structures/IApiReposActionsJobsLogs";
/**
 * Download job logs for a workflow run.
 * Gets a redirect URL to download a plain text file of logs for a workflow job. This link expires after 1 minute. Look
 * for `Location:` in the response header to find the URL for the download.
 *
 * Anyone with read access to the repository can use this endpoint.
 *
 * If the repository is private, OAuth tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag actions
 * @path repos/:owner/:repo/actions/jobs/:job_id/logs
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndJob_id(connection: IConnection<getByOwnerAndRepoAndJob_id.Headers>, owner: string, repo: string, job_id: string): Promise<void>;
export declare namespace getByOwnerAndRepoAndJob_id {
    type Headers = IApiReposActionsJobsLogs.GetHeader;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/actions/jobs/:job_id/logs";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, job_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndJob_id.Headers>, owner: string, repo: string, job_id: string) => void;
}
