import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposActionsOidcCustomizationSub } from "../../../../../../structures/IApiReposActionsOidcCustomizationSub";
import { body } from "../../../../../../structures/body";
import { empty_minus_object } from "../../../../../../structures/empty_minus_object";
import { oidc_minus_custom_minus_sub_minus_repo } from "../../../../../../structures/oidc_minus_custom_minus_sub_minus_repo";
/**
 * Get the customization template for an OIDC subject claim for a repository.
 * Gets the customization template for an OpenID Connect (OIDC) subject claim.
 *
 * OAuth tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag actions
 * @path repos/:owner/:repo/actions/oidc/customization/sub
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposActionsOidcCustomizationSub.GetHeader;
    type Output = oidc_minus_custom_minus_sub_minus_repo;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/actions/oidc/customization/sub";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => oidc_minus_custom_minus_sub_minus_repo;
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
/**
 * Set the customization template for an OIDC subject claim for a repository.
 * Sets the customization template and `opt-in` or `opt-out` flag for an OpenID Connect (OIDC) subject claim for a repository.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag actions
 * @path repos/:owner/:repo/actions/oidc/customization/sub
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function putByOwnerAndRepo(connection: IConnection<putByOwnerAndRepo.Headers>, owner: string, repo: string, body: putByOwnerAndRepo.Input): Promise<putByOwnerAndRepo.Output>;
export declare namespace putByOwnerAndRepo {
    type Headers = IApiReposActionsOidcCustomizationSub.PutHeader;
    type Input = body;
    type Output = empty_minus_object;
    const METADATA: {
        readonly method: "PUT";
        readonly path: "/repos/:owner/:repo/actions/oidc/customization/sub";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => empty_minus_object;
    const simulate: (connection: IConnection<putByOwnerAndRepo.Headers>, owner: string, repo: string, body: putByOwnerAndRepo.Input) => Output;
}
