import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposActionsRunsApprove } from "../../../../../structures/IApiReposActionsRunsApprove";
import { empty_minus_object } from "../../../../../structures/empty_minus_object";
/**
 * Approve a workflow run for a fork pull request.
 * Approves a workflow run for a pull request from a public fork of a first time contributor. For more information, see ["Approving workflow runs from public forks](https://docs.github.com/actions/managing-workflow-runs/approving-workflow-runs-from-public-forks)."
 *
 * OAuth tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag actions
 * @path repos/:owner/:repo/actions/runs/:run_id/approve
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepoAndRun_id(connection: IConnection<postByOwnerAndRepoAndRun_id.Headers>, owner: string, repo: string, run_id: string): Promise<postByOwnerAndRepoAndRun_id.Output>;
export declare namespace postByOwnerAndRepoAndRun_id {
    type Headers = IApiReposActionsRunsApprove.PostHeader;
    type Output = empty_minus_object;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/actions/runs/:run_id/approve";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, run_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => empty_minus_object;
    const simulate: (connection: IConnection<postByOwnerAndRepoAndRun_id.Headers>, owner: string, repo: string, run_id: string) => Output;
}
