import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposActionsRunsArtifacts } from "../../../../../structures/IApiReposActionsRunsArtifacts";
import { response } from "../../../../../structures/response";
/**
 * List workflow run artifacts.
 * Lists artifacts for a workflow run.
 *
 * Anyone with read access to the repository can use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.
 *
 * @tag actions
 * @path repos/:owner/:repo/actions/runs/:run_id/artifacts
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndRun_id(connection: IConnection<getByOwnerAndRepoAndRun_id.Headers>, owner: string, repo: string, run_id: string): Promise<getByOwnerAndRepoAndRun_id.Output>;
export declare namespace getByOwnerAndRepoAndRun_id {
    type Headers = IApiReposActionsRunsArtifacts.GetHeader;
    type Output = response;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/actions/runs/:run_id/artifacts";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, run_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => response;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndRun_id.Headers>, owner: string, repo: string, run_id: string) => Output;
}
