import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposActionsRunsCancel } from "../../../../../structures/IApiReposActionsRunsCancel";
/**
 * Cancel a workflow run.
 * Cancels a workflow run using its `id`.
 *
 * OAuth tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag actions
 * @path repos/:owner/:repo/actions/runs/:run_id/cancel
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepoAndRun_id(connection: IConnection<postByOwnerAndRepoAndRun_id.Headers>, owner: string, repo: string, run_id: string): Promise<void>;
export declare namespace postByOwnerAndRepoAndRun_id {
    type Headers = IApiReposActionsRunsCancel.PostHeader;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/actions/runs/:run_id/cancel";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, run_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<postByOwnerAndRepoAndRun_id.Headers>, owner: string, repo: string, run_id: string) => void;
}
