import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposActionsRunsForceCancel } from "../../../../../structures/IApiReposActionsRunsForceCancel";
/**
 * Force cancel a workflow run.
 * Cancels a workflow run and bypasses conditions that would otherwise cause a workflow execution to continue, such as an `always()` condition on a job.
 * You should only use this endpoint to cancel a workflow run when the workflow run is not responding to [`POST /repos/{owner}/{repo}/actions/runs/{run_id}/cancel`](/rest/actions/workflow-runs#cancel-a-workflow-run).
 *
 * OAuth tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag actions
 * @path repos/:owner/:repo/actions/runs/:run_id/force-cancel
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepoAndRun_id(connection: IConnection<postByOwnerAndRepoAndRun_id.Headers>, owner: string, repo: string, run_id: string): Promise<void>;
export declare namespace postByOwnerAndRepoAndRun_id {
    type Headers = IApiReposActionsRunsForceCancel.PostHeader;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/actions/runs/:run_id/force-cancel";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, run_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<postByOwnerAndRepoAndRun_id.Headers>, owner: string, repo: string, run_id: string) => void;
}
