import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposActionsSecretsPublicKey } from "../../../../../structures/IApiReposActionsSecretsPublicKey";
import { actions_minus_public_minus_key } from "../../../../../structures/actions_minus_public_minus_key";
/**
 * Get a repository public key.
 * Gets your public key, which you need to encrypt secrets. You need to
 * encrypt a secret before you can create or update secrets.
 *
 * Anyone with read access to the repository can use this endpoint.
 *
 * If the repository is private, OAuth tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag actions
 * @path repos/:owner/:repo/actions/secrets/public-key
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposActionsSecretsPublicKey.GetHeader;
    type Output = actions_minus_public_minus_key;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/actions/secrets/public-key";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => actions_minus_public_minus_key;
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
