import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposActionsWorkflowsDispatches } from "../../../../../structures/IApiReposActionsWorkflowsDispatches";
import { body } from "../../../../../structures/body";
/**
 * Create a workflow dispatch event.
 * You can use this endpoint to manually trigger a GitHub Actions workflow run. You can replace `workflow_id` with the workflow file name. For example, you could use `main.yaml`.
 *
 * You must configure your GitHub Actions workflow to run when the [`workflow_dispatch` webhook](/developers/webhooks-and-events/webhook-events-and-payloads#workflow_dispatch) event occurs. The `inputs` are configured in the workflow file. For more information about how to configure the `workflow_dispatch` event in the workflow file, see "[Events that trigger workflows](/actions/reference/events-that-trigger-workflows#workflow_dispatch)."
 *
 * OAuth tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag actions
 * @path repos/:owner/:repo/actions/workflows/:workflow_id/dispatches
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepoAndWorkflow_id(connection: IConnection<postByOwnerAndRepoAndWorkflow_id.Headers>, owner: string, repo: string, workflow_id: string, body: postByOwnerAndRepoAndWorkflow_id.Input): Promise<void>;
export declare namespace postByOwnerAndRepoAndWorkflow_id {
    type Headers = IApiReposActionsWorkflowsDispatches.PostHeader;
    type Input = body;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/actions/workflows/:workflow_id/dispatches";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, workflow_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<postByOwnerAndRepoAndWorkflow_id.Headers>, owner: string, repo: string, workflow_id: string, body: postByOwnerAndRepoAndWorkflow_id.Input) => void;
}
