import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposActionsWorkflowsRuns } from "../../../../../structures/IApiReposActionsWorkflowsRuns";
import { response } from "../../../../../structures/response";
/**
 * List workflow runs for a workflow.
 * List all workflow runs for a workflow. You can replace `workflow_id` with the workflow file name. For example, you could use `main.yaml`. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/rest/guides/getting-started-with-the-rest-api#parameters).
 *
 * Anyone with read access to the repository can use this endpoint
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.
 *
 * @tag actions
 * @path repos/:owner/:repo/actions/workflows/:workflow_id/runs
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndWorkflow_id(connection: IConnection<getByOwnerAndRepoAndWorkflow_id.Headers>, owner: string, repo: string, workflow_id: string): Promise<getByOwnerAndRepoAndWorkflow_id.Output>;
export declare namespace getByOwnerAndRepoAndWorkflow_id {
    type Headers = IApiReposActionsWorkflowsRuns.GetHeader;
    type Output = response;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/actions/workflows/:workflow_id/runs";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, workflow_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => response;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndWorkflow_id.Headers>, owner: string, repo: string, workflow_id: string) => Output;
}
