import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposCheckSuitesCheckRuns } from "../../../../structures/IApiReposCheckSuitesCheckRuns";
import { response } from "../../../../structures/response";
/**
 * List check runs in a check suite.
 * Lists check runs for a check suite using its `id`.
 *
 * > [!NOTE]
 * > The endpoints to manage checks only look for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty `pull_requests` array.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint on a private repository.
 *
 * @tag checks
 * @path repos/:owner/:repo/check-suites/:check_suite_id/check-runs
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndCheck_suite_id(connection: IConnection<getByOwnerAndRepoAndCheck_suite_id.Headers>, owner: string, repo: string, check_suite_id: string, query: getByOwnerAndRepoAndCheck_suite_id.Query): Promise<getByOwnerAndRepoAndCheck_suite_id.Output>;
export declare namespace getByOwnerAndRepoAndCheck_suite_id {
    type Headers = IApiReposCheckSuitesCheckRuns.GetHeader;
    type Query = IApiReposCheckSuitesCheckRuns.GetQuery;
    type Output = response;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/check-suites/:check_suite_id/check-runs";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, check_suite_id: string, query: getByOwnerAndRepoAndCheck_suite_id.Query) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => response;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndCheck_suite_id.Headers>, owner: string, repo: string, check_suite_id: string, query: getByOwnerAndRepoAndCheck_suite_id.Query) => Output;
}
