import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposCheckSuitesPreferences } from "../../../../structures/IApiReposCheckSuitesPreferences";
import { body } from "../../../../structures/body";
import { check_minus_suite_minus_preference } from "../../../../structures/check_minus_suite_minus_preference";
/**
 * Update repository preferences for check suites.
 * Changes the default automatic flow when creating check suites. By default, a check suite is automatically created each time code is pushed to a repository. When you disable the automatic creation of check suites, you can manually [Create a check suite](https://docs.github.com/rest/checks/suites#create-a-check-suite).
 * You must have admin permissions in the repository to set preferences for check suites.
 *
 * @tag checks
 * @path repos/:owner/:repo/check-suites/preferences
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function patchByOwnerAndRepo(connection: IConnection<patchByOwnerAndRepo.Headers>, owner: string, repo: string, body: patchByOwnerAndRepo.Input): Promise<patchByOwnerAndRepo.Output>;
export declare namespace patchByOwnerAndRepo {
    type Headers = IApiReposCheckSuitesPreferences.PatchHeader;
    type Input = body;
    type Output = check_minus_suite_minus_preference;
    const METADATA: {
        readonly method: "PATCH";
        readonly path: "/repos/:owner/:repo/check-suites/preferences";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => check_minus_suite_minus_preference;
    const simulate: (connection: IConnection<patchByOwnerAndRepo.Headers>, owner: string, repo: string, body: patchByOwnerAndRepo.Input) => Output;
}
