import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposCheckSuitesRerequest } from "../../../../structures/IApiReposCheckSuitesRerequest";
import { empty_minus_object } from "../../../../structures/empty_minus_object";
/**
 * Rerequest a check suite.
 * Triggers GitHub to rerequest an existing check suite, without pushing new code to a repository. This endpoint will trigger the [`check_suite` webhook](https://docs.github.com/webhooks/event-payloads/#check_suite) event with the action `rerequested`. When a check suite is `rerequested`, its `status` is reset to `queued` and the `conclusion` is cleared.
 *
 * OAuth apps and personal access tokens (classic) cannot use this endpoint.
 *
 * @tag checks
 * @path repos/:owner/:repo/check-suites/:check_suite_id/rerequest
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepoAndCheck_suite_id(connection: IConnection<postByOwnerAndRepoAndCheck_suite_id.Headers>, owner: string, repo: string, check_suite_id: string): Promise<postByOwnerAndRepoAndCheck_suite_id.Output>;
export declare namespace postByOwnerAndRepoAndCheck_suite_id {
    type Headers = IApiReposCheckSuitesRerequest.PostHeader;
    type Output = empty_minus_object;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/check-suites/:check_suite_id/rerequest";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, check_suite_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => empty_minus_object;
    const simulate: (connection: IConnection<postByOwnerAndRepoAndCheck_suite_id.Headers>, owner: string, repo: string, check_suite_id: string) => Output;
}
