import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposCodeScanningDefaultSetup } from "../../../../structures/IApiReposCodeScanningDefaultSetup";
import { code_minus_scanning_minus_default_minus_setup } from "../../../../structures/code_minus_scanning_minus_default_minus_setup";
import { code_minus_scanning_minus_default_minus_setup_minus_update } from "../../../../structures/code_minus_scanning_minus_default_minus_setup_minus_update";
import { empty_minus_object } from "../../../../structures/empty_minus_object";
/**
 * Get a code scanning default setup configuration.
 * Gets a code scanning default setup configuration.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with private or public repositories, or the `public_repo` scope to use this endpoint with only public repositories.
 *
 * @tag code-scanning
 * @path repos/:owner/:repo/code-scanning/default-setup
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposCodeScanningDefaultSetup.GetHeader;
    type Output = code_minus_scanning_minus_default_minus_setup;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/code-scanning/default-setup";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => code_minus_scanning_minus_default_minus_setup;
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
/**
 * Update a code scanning default setup configuration.
 * Updates a code scanning default setup configuration.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with private or public repositories, or the `public_repo` scope to use this endpoint with only public repositories.
 *
 * @tag code-scanning
 * @path repos/:owner/:repo/code-scanning/default-setup
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function patchByOwnerAndRepo(connection: IConnection<patchByOwnerAndRepo.Headers>, owner: string, repo: string, body: patchByOwnerAndRepo.Input): Promise<patchByOwnerAndRepo.Output>;
export declare namespace patchByOwnerAndRepo {
    type Headers = IApiReposCodeScanningDefaultSetup.PatchHeader;
    type Input = code_minus_scanning_minus_default_minus_setup_minus_update;
    type Output = empty_minus_object;
    const METADATA: {
        readonly method: "PATCH";
        readonly path: "/repos/:owner/:repo/code-scanning/default-setup";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => empty_minus_object;
    const simulate: (connection: IConnection<patchByOwnerAndRepo.Headers>, owner: string, repo: string, body: patchByOwnerAndRepo.Input) => Output;
}
