import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposCodeownersErrors } from "../../../../structures/IApiReposCodeownersErrors";
import { codeowners_minus_errors } from "../../../../structures/codeowners_minus_errors";
/**
 * List CODEOWNERS errors.
 * List any syntax errors that are detected in the CODEOWNERS
 * file.
 *
 * For more information about the correct CODEOWNERS syntax,
 * see "[About code owners](https://docs.github.com/repositories/managing-your-repositorys-settings-and-features/customizing-your-repository/about-code-owners)."
 *
 * @tag repos
 * @path repos/:owner/:repo/codeowners/errors
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string, query: getByOwnerAndRepo.Query): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposCodeownersErrors.GetHeader;
    type Query = IApiReposCodeownersErrors.GetQuery;
    type Output = codeowners_minus_errors;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/codeowners/errors";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, query: getByOwnerAndRepo.Query) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => codeowners_minus_errors;
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string, query: getByOwnerAndRepo.Query) => Output;
}
