import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposCodespacesPermissionsCheck } from "../../../../structures/IApiReposCodespacesPermissionsCheck";
import { codespaces_minus_permissions_minus_check_minus_for_minus_devcontainer } from "../../../../structures/codespaces_minus_permissions_minus_check_minus_for_minus_devcontainer";
/**
 * Check if permissions defined by a devcontainer have been accepted by the authenticated user.
 * Checks whether the permissions defined by a given devcontainer configuration have been accepted by the authenticated user.
 *
 * OAuth app tokens and personal access tokens (classic) need the `codespace` scope to use this endpoint.
 *
 * @tag codespaces
 * @path repos/:owner/:repo/codespaces/permissions_check
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string, query: getByOwnerAndRepo.Query): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposCodespacesPermissionsCheck.GetHeader;
    type Query = IApiReposCodespacesPermissionsCheck.GetQuery;
    type Output = codespaces_minus_permissions_minus_check_minus_for_minus_devcontainer;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/codespaces/permissions_check";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, query: getByOwnerAndRepo.Query) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => codespaces_minus_permissions_minus_check_minus_for_minus_devcontainer;
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string, query: getByOwnerAndRepo.Query) => Output;
}
