import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposCollaboratorsPermission } from "../../../../structures/IApiReposCollaboratorsPermission";
import { repository_minus_collaborator_minus_permission } from "../../../../structures/repository_minus_collaborator_minus_permission";
/**
 * Get repository permissions for a user.
 * Checks the repository permission of a collaborator. The possible repository
 * permissions are `admin`, `write`, `read`, and `none`.
 *
 * *Note*: The `permission` attribute provides the legacy base roles of `admin`, `write`, `read`, and `none`, where the
 * `maintain` role is mapped to `write` and the `triage` role is mapped to `read`. To determine the role assigned to the
 * collaborator, see the `role_name` attribute, which will provide the full role name, including custom roles. The
 * `permissions` hash can also be used to determine which base level of access the collaborator has to the repository.
 *
 * @tag repos
 * @path repos/:owner/:repo/collaborators/:username/permission
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndUsername(connection: IConnection<getByOwnerAndRepoAndUsername.Headers>, owner: string, repo: string, username: string): Promise<getByOwnerAndRepoAndUsername.Output>;
export declare namespace getByOwnerAndRepoAndUsername {
    type Headers = IApiReposCollaboratorsPermission.GetHeader;
    type Output = repository_minus_collaborator_minus_permission;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/collaborators/:username/permission";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, username: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => repository_minus_collaborator_minus_permission;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndUsername.Headers>, owner: string, repo: string, username: string) => Output;
}
