import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposCommitsBranchesWhereHead } from "../../../../structures/IApiReposCommitsBranchesWhereHead";
import { branch_minus_short } from "../../../../structures/branch_minus_short";
/**
 * List branches for HEAD commit.
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Returns all branches where the given commit SHA is the HEAD, or latest commit for the branch.
 *
 * @tag repos
 * @path repos/:owner/:repo/commits/:commit_sha/branches-where-head
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndCommit_sha(connection: IConnection<getByOwnerAndRepoAndCommit_sha.Headers>, owner: string, repo: string, commit_sha: string): Promise<getByOwnerAndRepoAndCommit_sha.Output>;
export declare namespace getByOwnerAndRepoAndCommit_sha {
    type Headers = IApiReposCommitsBranchesWhereHead.GetHeader;
    type Output = branch_minus_short[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/commits/:commit_sha/branches-where-head";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, commit_sha: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => branch_minus_short[];
    const simulate: (connection: IConnection<getByOwnerAndRepoAndCommit_sha.Headers>, owner: string, repo: string, commit_sha: string) => Output;
}
