import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposDependabotSecretsPublicKey } from "../../../../../structures/IApiReposDependabotSecretsPublicKey";
import { dependabot_minus_public_minus_key } from "../../../../../structures/dependabot_minus_public_minus_key";
/**
 * Get a repository public key.
 * Gets your public key, which you need to encrypt secrets. You need to
 * encrypt a secret before you can create or update secrets. Anyone with read access
 * to the repository can use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint if the repository is private.
 *
 * @tag dependabot
 * @path repos/:owner/:repo/dependabot/secrets/public-key
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposDependabotSecretsPublicKey.GetHeader;
    type Output = dependabot_minus_public_minus_key;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/dependabot/secrets/public-key";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => dependabot_minus_public_minus_key;
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
