import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposDependencyGraphSnapshots } from "../../../../structures/IApiReposDependencyGraphSnapshots";
import { response } from "../../../../structures/response";
import { snapshot } from "../../../../structures/snapshot";
/**
 * Create a snapshot of dependencies for a repository.
 * Create a new snapshot of a repository's dependencies.
 *
 * The authenticated user must have access to the repository.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag dependency-graph
 * @path repos/:owner/:repo/dependency-graph/snapshots
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepo(connection: IConnection<postByOwnerAndRepo.Headers>, owner: string, repo: string, body: postByOwnerAndRepo.Input): Promise<postByOwnerAndRepo.Output>;
export declare namespace postByOwnerAndRepo {
    type Headers = IApiReposDependencyGraphSnapshots.PostHeader;
    type Input = snapshot;
    type Output = response;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/dependency-graph/snapshots";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => response;
    const simulate: (connection: IConnection<postByOwnerAndRepo.Headers>, owner: string, repo: string, body: postByOwnerAndRepo.Input) => Output;
}
