"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getByOwnerAndRepoAndEnvironment_name = getByOwnerAndRepoAndEnvironment_name;
exports.postByOwnerAndRepoAndEnvironment_name = postByOwnerAndRepoAndEnvironment_name;
exports.getByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id = getByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id;
exports.putByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id = putByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id;
exports.eraseByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id = eraseByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id;
var NestiaSimulator_1 = require("@nestia/fetcher/lib/NestiaSimulator");
var PlainFetcher_1 = require("@nestia/fetcher/lib/PlainFetcher");
var typia_1 = __importDefault(require("typia"));
/**
 * List deployment branch policies.
 * Lists the deployment branch policies for an environment.
 *
 * Anyone with read access to the repository can use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.
 *
 * @tag repos
 * @path repos/:owner/:repo/environments/:environment_name/deployment-branch-policies
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
function getByOwnerAndRepoAndEnvironment_name(connection, owner, repo, environment_name) {
    return __awaiter(this, void 0, void 0, function () {
        return __generator(this, function (_a) {
            return [2 /*return*/, !!connection.simulate
                    ? getByOwnerAndRepoAndEnvironment_name.simulate(connection, owner, repo, environment_name)
                    : PlainFetcher_1.PlainFetcher.fetch(__assign(__assign({}, connection), { headers: __assign(__assign({}, connection.headers), { "Content-Type": "application/json" }) }), __assign(__assign({}, getByOwnerAndRepoAndEnvironment_name.METADATA), { path: getByOwnerAndRepoAndEnvironment_name.path(owner, repo, environment_name), status: null }))];
        });
    });
}
(function (getByOwnerAndRepoAndEnvironment_name) {
    getByOwnerAndRepoAndEnvironment_name.METADATA = {
        method: "GET",
        path: "/repos/:owner/:repo/environments/:environment_name/deployment-branch-policies",
        request: null,
        response: {
            type: "application/json",
            encrypted: false,
        },
    };
    getByOwnerAndRepoAndEnvironment_name.path = function (owner, repo, environment_name) {
        return "/repos/".concat(encodeURIComponent(owner !== null && owner !== void 0 ? owner : "null"), "/").concat(encodeURIComponent(repo !== null && repo !== void 0 ? repo : "null"), "/environments/").concat(encodeURIComponent(environment_name !== null && environment_name !== void 0 ? environment_name : "null"), "/deployment-branch-policies");
    };
    getByOwnerAndRepoAndEnvironment_name.random = function (g) { return (function () { var $pick = typia_1.default.random.pick; var $generator = typia_1.default.random.generator; var $ro0 = function (_recursive, _depth) {
        if (_recursive === void 0) { _recursive = false; }
        if (_depth === void 0) { _depth = 0; }
        return {};
    }; var $ro1 = function (_recursive, _depth) {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k;
        if (_recursive === void 0) { _recursive = false; }
        if (_depth === void 0) { _depth = 0; }
        return ({
            limit: $pick([
                function () { return "existing_users"; },
                function () { return "contributors_only"; },
                function () { return "collaborators_only"; }
            ])(),
            origin: (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(),
            expires_at: (_j = (_h = (_g = ((_f = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _f !== void 0 ? _f : $generator.customs)) === null || _g === void 0 ? void 0 : _g.string) === null || _h === void 0 ? void 0 : _h.call(_g, [
                {
                    name: "Format<\"date-time\">",
                    kind: "format",
                    value: "date-time"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _j !== void 0 ? _j : ((_k = _generator === null || _generator === void 0 ? void 0 : _generator.datetime) !== null && _k !== void 0 ? _k : $generator.datetime)()
        });
    }; var _generator; return function (generator) {
        _generator = generator;
        return $pick([
            function () { return $ro0(); },
            function () { return $ro1(); }
        ])();
    }; })()(g); };
    getByOwnerAndRepoAndEnvironment_name.simulate = function (connection, owner, repo, environment_name) {
        var assert = NestiaSimulator_1.NestiaSimulator.assert({
            method: getByOwnerAndRepoAndEnvironment_name.METADATA.method,
            host: connection.host,
            path: getByOwnerAndRepoAndEnvironment_name.path(owner, repo, environment_name),
            contentType: "application/json",
        });
        try {
            assert.param("owner")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(owner); });
            assert.param("repo")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(repo); });
            assert.param("environment_name")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(environment_name); });
        }
        catch (exp) {
            if (!(function () { var $io0 = function (input) { return ("HEAD" === input.method || "GET" === input.method || "DELETE" === input.method || "POST" === input.method || "PUT" === input.method || "PATCH" === input.method) && "string" === typeof input.path && "number" === typeof input.status && ("object" === typeof input.headers && null !== input.headers && false === Array.isArray(input.headers) && $io1(input.headers)) && "string" === typeof input.name && "string" === typeof input.message && (undefined === input.stack || "string" === typeof input.stack); }; var $io1 = function (input) { return Object.keys(input).every(function (key) {
                var value = input[key];
                if (undefined === value)
                    return true;
                return null !== value && undefined !== value && ("string" === typeof value || Array.isArray(value) && value.every(function (elem) { return "string" === typeof elem; }));
            }); }; return function (input) { return "object" === typeof input && null !== input && $io0(input); }; })()(exp))
                throw exp;
            return {
                success: false,
                status: exp.status,
                headers: exp.headers,
                data: exp.toJSON().message,
            };
        }
        return getByOwnerAndRepoAndEnvironment_name.random("object" === typeof connection.simulate && null !== connection.simulate
            ? connection.simulate
            : undefined);
    };
})(getByOwnerAndRepoAndEnvironment_name || (exports.getByOwnerAndRepoAndEnvironment_name = getByOwnerAndRepoAndEnvironment_name = {}));
/**
 * Create a deployment branch policy.
 * Creates a deployment branch or tag policy for an environment.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag repos
 * @path repos/:owner/:repo/environments/:environment_name/deployment-branch-policies
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
function postByOwnerAndRepoAndEnvironment_name(connection, owner, repo, environment_name, body) {
    return __awaiter(this, void 0, void 0, function () {
        return __generator(this, function (_a) {
            return [2 /*return*/, !!connection.simulate
                    ? postByOwnerAndRepoAndEnvironment_name.simulate(connection, owner, repo, environment_name, body)
                    : PlainFetcher_1.PlainFetcher.fetch(__assign(__assign({}, connection), { headers: __assign(__assign({}, connection.headers), { "Content-Type": "application/json" }) }), __assign(__assign({}, postByOwnerAndRepoAndEnvironment_name.METADATA), { path: postByOwnerAndRepoAndEnvironment_name.path(owner, repo, environment_name), status: null }), body)];
        });
    });
}
(function (postByOwnerAndRepoAndEnvironment_name) {
    postByOwnerAndRepoAndEnvironment_name.METADATA = {
        method: "POST",
        path: "/repos/:owner/:repo/environments/:environment_name/deployment-branch-policies",
        request: {
            type: "application/json",
            encrypted: false,
        },
        response: {
            type: "application/json",
            encrypted: false,
        },
    };
    postByOwnerAndRepoAndEnvironment_name.path = function (owner, repo, environment_name) {
        return "/repos/".concat(encodeURIComponent(owner !== null && owner !== void 0 ? owner : "null"), "/").concat(encodeURIComponent(repo !== null && repo !== void 0 ? repo : "null"), "/environments/").concat(encodeURIComponent(environment_name !== null && environment_name !== void 0 ? environment_name : "null"), "/deployment-branch-policies");
    };
    postByOwnerAndRepoAndEnvironment_name.random = function (g) { return (function () { var $generator = typia_1.default.random.generator; var $pick = typia_1.default.random.pick; var $ro0 = function (_recursive, _depth) {
        if (_recursive === void 0) { _recursive = false; }
        if (_depth === void 0) { _depth = 0; }
        return ({
            id: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.number) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Type<\"int32\">",
                        kind: "type",
                        value: "int32"
                    },
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _e !== void 0 ? _e : $generator.integer)(0, 100); }
            ])(),
            node_id: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            name: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            type: $pick([
                function () { return undefined; },
                function () { return "tag"; },
                function () { return "branch"; }
            ])()
        });
    }; var _generator; return function (generator) {
        _generator = generator;
        return $ro0();
    }; })()(g); };
    postByOwnerAndRepoAndEnvironment_name.simulate = function (connection, owner, repo, environment_name, body) {
        var assert = NestiaSimulator_1.NestiaSimulator.assert({
            method: postByOwnerAndRepoAndEnvironment_name.METADATA.method,
            host: connection.host,
            path: postByOwnerAndRepoAndEnvironment_name.path(owner, repo, environment_name),
            contentType: "application/json",
        });
        try {
            assert.param("owner")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(owner); });
            assert.param("repo")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(repo); });
            assert.param("environment_name")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(environment_name); });
            assert.body(function () { return (function () { var $guard = typia_1.default.assert.guard; var $io0 = function (input) { return "string" === typeof input.name && (undefined === input.type || "tag" === input.type || "branch" === input.type); }; var $ao0 = function (input, _path, _exceptionable) {
                if (_exceptionable === void 0) { _exceptionable = true; }
                return ("string" === typeof input.name || $guard(_exceptionable, {
                    path: _path + ".name",
                    expected: "(string & JsonSchemaPlugin<__type>)",
                    value: input.name
                }, _errorFactory)) && (undefined === input.type || "tag" === input.type || "branch" === input.type || $guard(_exceptionable, {
                    path: _path + ".type",
                    expected: "(\"branch\" | \"tag\" | undefined)",
                    value: input.type
                }, _errorFactory));
            }; var __is = function (input) { return "object" === typeof input && null !== input && $io0(input); }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return ("object" === typeof input && null !== input || $guard(true, {
                            path: _path + "",
                            expected: "deployment_minus_branch_minus_policy_minus_name_minus_pattern_minus_with_minus_type",
                            value: input
                        }, _errorFactory)) && $ao0(input, _path + "", true) || $guard(true, {
                            path: _path + "",
                            expected: "deployment_minus_branch_minus_policy_minus_name_minus_pattern_minus_with_minus_type",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(body); });
        }
        catch (exp) {
            if (!(function () { var $io0 = function (input) { return ("HEAD" === input.method || "GET" === input.method || "DELETE" === input.method || "POST" === input.method || "PUT" === input.method || "PATCH" === input.method) && "string" === typeof input.path && "number" === typeof input.status && ("object" === typeof input.headers && null !== input.headers && false === Array.isArray(input.headers) && $io1(input.headers)) && "string" === typeof input.name && "string" === typeof input.message && (undefined === input.stack || "string" === typeof input.stack); }; var $io1 = function (input) { return Object.keys(input).every(function (key) {
                var value = input[key];
                if (undefined === value)
                    return true;
                return null !== value && undefined !== value && ("string" === typeof value || Array.isArray(value) && value.every(function (elem) { return "string" === typeof elem; }));
            }); }; return function (input) { return "object" === typeof input && null !== input && $io0(input); }; })()(exp))
                throw exp;
            return {
                success: false,
                status: exp.status,
                headers: exp.headers,
                data: exp.toJSON().message,
            };
        }
        return postByOwnerAndRepoAndEnvironment_name.random("object" === typeof connection.simulate && null !== connection.simulate
            ? connection.simulate
            : undefined);
    };
})(postByOwnerAndRepoAndEnvironment_name || (exports.postByOwnerAndRepoAndEnvironment_name = postByOwnerAndRepoAndEnvironment_name = {}));
/**
 * Get a deployment branch policy.
 * Gets a deployment branch or tag policy for an environment.
 *
 * Anyone with read access to the repository can use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.
 *
 * @tag repos
 * @path repos/:owner/:repo/environments/:environment_name/deployment-branch-policies/:branch_policy_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
function getByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id(connection, owner, repo, environment_name, branch_policy_id) {
    return __awaiter(this, void 0, void 0, function () {
        return __generator(this, function (_a) {
            return [2 /*return*/, !!connection.simulate
                    ? getByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.simulate(connection, owner, repo, environment_name, branch_policy_id)
                    : PlainFetcher_1.PlainFetcher.fetch(__assign(__assign({}, connection), { headers: __assign(__assign({}, connection.headers), { "Content-Type": "application/json" }) }), __assign(__assign({}, getByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.METADATA), { path: getByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.path(owner, repo, environment_name, branch_policy_id), status: null }))];
        });
    });
}
(function (getByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id) {
    getByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.METADATA = {
        method: "GET",
        path: "/repos/:owner/:repo/environments/:environment_name/deployment-branch-policies/:branch_policy_id",
        request: null,
        response: {
            type: "application/json",
            encrypted: false,
        },
    };
    getByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.path = function (owner, repo, environment_name, branch_policy_id) {
        return "/repos/".concat(encodeURIComponent(owner !== null && owner !== void 0 ? owner : "null"), "/").concat(encodeURIComponent(repo !== null && repo !== void 0 ? repo : "null"), "/environments/").concat(encodeURIComponent(environment_name !== null && environment_name !== void 0 ? environment_name : "null"), "/deployment-branch-policies/").concat(encodeURIComponent(branch_policy_id !== null && branch_policy_id !== void 0 ? branch_policy_id : "null"));
    };
    getByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.random = function (g) { return (function () { var $generator = typia_1.default.random.generator; var $pick = typia_1.default.random.pick; var $ro0 = function (_recursive, _depth) {
        if (_recursive === void 0) { _recursive = false; }
        if (_depth === void 0) { _depth = 0; }
        return ({
            id: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.number) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Type<\"int32\">",
                        kind: "type",
                        value: "int32"
                    },
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _e !== void 0 ? _e : $generator.integer)(0, 100); }
            ])(),
            node_id: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            name: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            type: $pick([
                function () { return undefined; },
                function () { return "tag"; },
                function () { return "branch"; }
            ])()
        });
    }; var _generator; return function (generator) {
        _generator = generator;
        return $ro0();
    }; })()(g); };
    getByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.simulate = function (connection, owner, repo, environment_name, branch_policy_id) {
        var assert = NestiaSimulator_1.NestiaSimulator.assert({
            method: getByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.METADATA.method,
            host: connection.host,
            path: getByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.path(owner, repo, environment_name, branch_policy_id),
            contentType: "application/json",
        });
        try {
            assert.param("owner")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(owner); });
            assert.param("repo")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(repo); });
            assert.param("environment_name")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(environment_name); });
            assert.param("branch_policy_id")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(branch_policy_id); });
        }
        catch (exp) {
            if (!(function () { var $io0 = function (input) { return ("HEAD" === input.method || "GET" === input.method || "DELETE" === input.method || "POST" === input.method || "PUT" === input.method || "PATCH" === input.method) && "string" === typeof input.path && "number" === typeof input.status && ("object" === typeof input.headers && null !== input.headers && false === Array.isArray(input.headers) && $io1(input.headers)) && "string" === typeof input.name && "string" === typeof input.message && (undefined === input.stack || "string" === typeof input.stack); }; var $io1 = function (input) { return Object.keys(input).every(function (key) {
                var value = input[key];
                if (undefined === value)
                    return true;
                return null !== value && undefined !== value && ("string" === typeof value || Array.isArray(value) && value.every(function (elem) { return "string" === typeof elem; }));
            }); }; return function (input) { return "object" === typeof input && null !== input && $io0(input); }; })()(exp))
                throw exp;
            return {
                success: false,
                status: exp.status,
                headers: exp.headers,
                data: exp.toJSON().message,
            };
        }
        return getByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.random("object" === typeof connection.simulate && null !== connection.simulate
            ? connection.simulate
            : undefined);
    };
})(getByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id || (exports.getByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id = getByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id = {}));
/**
 * Update a deployment branch policy.
 * Updates a deployment branch or tag policy for an environment.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag repos
 * @path repos/:owner/:repo/environments/:environment_name/deployment-branch-policies/:branch_policy_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
function putByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id(connection, owner, repo, environment_name, branch_policy_id, body) {
    return __awaiter(this, void 0, void 0, function () {
        return __generator(this, function (_a) {
            return [2 /*return*/, !!connection.simulate
                    ? putByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.simulate(connection, owner, repo, environment_name, branch_policy_id, body)
                    : PlainFetcher_1.PlainFetcher.fetch(__assign(__assign({}, connection), { headers: __assign(__assign({}, connection.headers), { "Content-Type": "application/json" }) }), __assign(__assign({}, putByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.METADATA), { path: putByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.path(owner, repo, environment_name, branch_policy_id), status: null }), body)];
        });
    });
}
(function (putByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id) {
    putByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.METADATA = {
        method: "PUT",
        path: "/repos/:owner/:repo/environments/:environment_name/deployment-branch-policies/:branch_policy_id",
        request: {
            type: "application/json",
            encrypted: false,
        },
        response: {
            type: "application/json",
            encrypted: false,
        },
    };
    putByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.path = function (owner, repo, environment_name, branch_policy_id) {
        return "/repos/".concat(encodeURIComponent(owner !== null && owner !== void 0 ? owner : "null"), "/").concat(encodeURIComponent(repo !== null && repo !== void 0 ? repo : "null"), "/environments/").concat(encodeURIComponent(environment_name !== null && environment_name !== void 0 ? environment_name : "null"), "/deployment-branch-policies/").concat(encodeURIComponent(branch_policy_id !== null && branch_policy_id !== void 0 ? branch_policy_id : "null"));
    };
    putByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.random = function (g) { return (function () { var $generator = typia_1.default.random.generator; var $pick = typia_1.default.random.pick; var $ro0 = function (_recursive, _depth) {
        if (_recursive === void 0) { _recursive = false; }
        if (_depth === void 0) { _depth = 0; }
        return ({
            id: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.number) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Type<\"int32\">",
                        kind: "type",
                        value: "int32"
                    },
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _e !== void 0 ? _e : $generator.integer)(0, 100); }
            ])(),
            node_id: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            name: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            type: $pick([
                function () { return undefined; },
                function () { return "tag"; },
                function () { return "branch"; }
            ])()
        });
    }; var _generator; return function (generator) {
        _generator = generator;
        return $ro0();
    }; })()(g); };
    putByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.simulate = function (connection, owner, repo, environment_name, branch_policy_id, body) {
        var assert = NestiaSimulator_1.NestiaSimulator.assert({
            method: putByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.METADATA.method,
            host: connection.host,
            path: putByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.path(owner, repo, environment_name, branch_policy_id),
            contentType: "application/json",
        });
        try {
            assert.param("owner")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(owner); });
            assert.param("repo")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(repo); });
            assert.param("environment_name")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(environment_name); });
            assert.param("branch_policy_id")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(branch_policy_id); });
            assert.body(function () { return (function () { var $guard = typia_1.default.assert.guard; var $io0 = function (input) { return "string" === typeof input.name; }; var $ao0 = function (input, _path, _exceptionable) {
                if (_exceptionable === void 0) { _exceptionable = true; }
                return "string" === typeof input.name || $guard(_exceptionable, {
                    path: _path + ".name",
                    expected: "(string & JsonSchemaPlugin<__type>)",
                    value: input.name
                }, _errorFactory);
            }; var __is = function (input) { return "object" === typeof input && null !== input && $io0(input); }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return ("object" === typeof input && null !== input || $guard(true, {
                            path: _path + "",
                            expected: "deployment_minus_branch_minus_policy_minus_name_minus_pattern",
                            value: input
                        }, _errorFactory)) && $ao0(input, _path + "", true) || $guard(true, {
                            path: _path + "",
                            expected: "deployment_minus_branch_minus_policy_minus_name_minus_pattern",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(body); });
        }
        catch (exp) {
            if (!(function () { var $io0 = function (input) { return ("HEAD" === input.method || "GET" === input.method || "DELETE" === input.method || "POST" === input.method || "PUT" === input.method || "PATCH" === input.method) && "string" === typeof input.path && "number" === typeof input.status && ("object" === typeof input.headers && null !== input.headers && false === Array.isArray(input.headers) && $io1(input.headers)) && "string" === typeof input.name && "string" === typeof input.message && (undefined === input.stack || "string" === typeof input.stack); }; var $io1 = function (input) { return Object.keys(input).every(function (key) {
                var value = input[key];
                if (undefined === value)
                    return true;
                return null !== value && undefined !== value && ("string" === typeof value || Array.isArray(value) && value.every(function (elem) { return "string" === typeof elem; }));
            }); }; return function (input) { return "object" === typeof input && null !== input && $io0(input); }; })()(exp))
                throw exp;
            return {
                success: false,
                status: exp.status,
                headers: exp.headers,
                data: exp.toJSON().message,
            };
        }
        return putByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.random("object" === typeof connection.simulate && null !== connection.simulate
            ? connection.simulate
            : undefined);
    };
})(putByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id || (exports.putByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id = putByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id = {}));
/**
 * Delete a deployment branch policy.
 * Deletes a deployment branch or tag policy for an environment.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag repos
 * @path repos/:owner/:repo/environments/:environment_name/deployment-branch-policies/:branch_policy_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
function eraseByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id(connection, owner, repo, environment_name, branch_policy_id) {
    return __awaiter(this, void 0, void 0, function () {
        return __generator(this, function (_a) {
            return [2 /*return*/, !!connection.simulate
                    ? eraseByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.simulate(connection, owner, repo, environment_name, branch_policy_id)
                    : PlainFetcher_1.PlainFetcher.fetch(__assign(__assign({}, connection), { headers: __assign(__assign({}, connection.headers), { "Content-Type": "application/json" }) }), __assign(__assign({}, eraseByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.METADATA), { path: eraseByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.path(owner, repo, environment_name, branch_policy_id), status: null }))];
        });
    });
}
(function (eraseByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id) {
    eraseByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.METADATA = {
        method: "DELETE",
        path: "/repos/:owner/:repo/environments/:environment_name/deployment-branch-policies/:branch_policy_id",
        request: null,
        response: {
            type: "application/json",
            encrypted: false,
        },
    };
    eraseByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.path = function (owner, repo, environment_name, branch_policy_id) {
        return "/repos/".concat(encodeURIComponent(owner !== null && owner !== void 0 ? owner : "null"), "/").concat(encodeURIComponent(repo !== null && repo !== void 0 ? repo : "null"), "/environments/").concat(encodeURIComponent(environment_name !== null && environment_name !== void 0 ? environment_name : "null"), "/deployment-branch-policies/").concat(encodeURIComponent(branch_policy_id !== null && branch_policy_id !== void 0 ? branch_policy_id : "null"));
    };
    eraseByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.random = function (g) { return (function () { var _generator; return function (generator) {
        _generator = generator;
        return undefined;
    }; })()(g); };
    eraseByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.simulate = function (connection, owner, repo, environment_name, branch_policy_id) {
        var assert = NestiaSimulator_1.NestiaSimulator.assert({
            method: eraseByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.METADATA.method,
            host: connection.host,
            path: eraseByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.path(owner, repo, environment_name, branch_policy_id),
            contentType: "application/json",
        });
        try {
            assert.param("owner")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(owner); });
            assert.param("repo")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(repo); });
            assert.param("environment_name")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(environment_name); });
            assert.param("branch_policy_id")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(branch_policy_id); });
        }
        catch (exp) {
            if (!(function () { var $io0 = function (input) { return ("HEAD" === input.method || "GET" === input.method || "DELETE" === input.method || "POST" === input.method || "PUT" === input.method || "PATCH" === input.method) && "string" === typeof input.path && "number" === typeof input.status && ("object" === typeof input.headers && null !== input.headers && false === Array.isArray(input.headers) && $io1(input.headers)) && "string" === typeof input.name && "string" === typeof input.message && (undefined === input.stack || "string" === typeof input.stack); }; var $io1 = function (input) { return Object.keys(input).every(function (key) {
                var value = input[key];
                if (undefined === value)
                    return true;
                return null !== value && undefined !== value && ("string" === typeof value || Array.isArray(value) && value.every(function (elem) { return "string" === typeof elem; }));
            }); }; return function (input) { return "object" === typeof input && null !== input && $io0(input); }; })()(exp))
                throw exp;
            return {
                success: false,
                status: exp.status,
                headers: exp.headers,
                data: exp.toJSON().message,
            };
        }
        return eraseByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id.random("object" === typeof connection.simulate && null !== connection.simulate
            ? connection.simulate
            : undefined);
    };
})(eraseByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id || (exports.eraseByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id = eraseByOwnerAndRepoAndEnvironment_nameAndBranch_policy_id = {}));
//# sourceMappingURL=index.js.map