import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposEnvironmentsSecretsPublicKey } from "../../../../../structures/IApiReposEnvironmentsSecretsPublicKey";
import { actions_minus_public_minus_key } from "../../../../../structures/actions_minus_public_minus_key";
/**
 * Get an environment public key.
 * Get the public key for an environment, which you need to encrypt environment
 * secrets. You need to encrypt a secret before you can create or update secrets.
 *
 * Anyone with read access to the repository can use this endpoint.
 *
 * If the repository is private, OAuth tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag actions
 * @path repos/:owner/:repo/environments/:environment_name/secrets/public-key
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndEnvironment_name(connection: IConnection<getByOwnerAndRepoAndEnvironment_name.Headers>, owner: string, repo: string, environment_name: string): Promise<getByOwnerAndRepoAndEnvironment_name.Output>;
export declare namespace getByOwnerAndRepoAndEnvironment_name {
    type Headers = IApiReposEnvironmentsSecretsPublicKey.GetHeader;
    type Output = actions_minus_public_minus_key;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/environments/:environment_name/secrets/public-key";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, environment_name: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => actions_minus_public_minus_key;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndEnvironment_name.Headers>, owner: string, repo: string, environment_name: string) => Output;
}
