import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposGitBlobs } from "../../../../structures/IApiReposGitBlobs";
import { blob } from "../../../../structures/blob";
import { body } from "../../../../structures/body";
import { short_minus_blob } from "../../../../structures/short_minus_blob";
/**
 * @tag git
 * @path repos/:owner/:repo/git/blobs
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepo(connection: IConnection<postByOwnerAndRepo.Headers>, owner: string, repo: string, body: postByOwnerAndRepo.Input): Promise<postByOwnerAndRepo.Output>;
export declare namespace postByOwnerAndRepo {
    type Headers = IApiReposGitBlobs.PostHeader;
    type Input = body;
    type Output = short_minus_blob;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/git/blobs";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => short_minus_blob;
    const simulate: (connection: IConnection<postByOwnerAndRepo.Headers>, owner: string, repo: string, body: postByOwnerAndRepo.Input) => Output;
}
/**
 * Get a blob.
 * The `content` in the response will always be Base64 encoded.
 *
 * This endpoint supports the following custom media types. For more information, see "[Media types](https://docs.github.com/rest/using-the-rest-api/getting-started-with-the-rest-api#media-types)."
 *
 * - **`application/vnd.github.raw+json`**: Returns the raw blob data.
 * - **`application/vnd.github+json`**: Returns a JSON representation of the blob with `content` as a base64 encoded string. This is the default if no media type is specified.
 *
 * **Note** This endpoint supports blobs up to 100 megabytes in size.
 *
 * @tag git
 * @path repos/:owner/:repo/git/blobs/:file_sha
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndFile_sha(connection: IConnection<getByOwnerAndRepoAndFile_sha.Headers>, owner: string, repo: string, file_sha: string): Promise<getByOwnerAndRepoAndFile_sha.Output>;
export declare namespace getByOwnerAndRepoAndFile_sha {
    type Headers = IApiReposGitBlobs.GetHeader;
    type Output = blob;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/git/blobs/:file_sha";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, file_sha: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => blob;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndFile_sha.Headers>, owner: string, repo: string, file_sha: string) => Output;
}
