import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposHooksDeliveriesAttempts } from "../../../../../structures/IApiReposHooksDeliveriesAttempts";
/**
 * Redeliver a delivery for a repository webhook.
 * Redeliver a webhook delivery for a webhook configured in a repository.
 *
 * @tag repos
 * @path repos/:owner/:repo/hooks/:hook_id/deliveries/:delivery_id/attempts
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepoAndHook_idAndDelivery_id(connection: IConnection<postByOwnerAndRepoAndHook_idAndDelivery_id.Headers>, owner: string, repo: string, hook_id: string, delivery_id: string): Promise<void>;
export declare namespace postByOwnerAndRepoAndHook_idAndDelivery_id {
    type Headers = IApiReposHooksDeliveriesAttempts.PostHeader;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/hooks/:hook_id/deliveries/:delivery_id/attempts";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, hook_id: string, delivery_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<postByOwnerAndRepoAndHook_idAndDelivery_id.Headers>, owner: string, repo: string, hook_id: string, delivery_id: string) => void;
}
