import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposHooksDeliveries } from "../../../../structures/IApiReposHooksDeliveries";
import { hook_minus_delivery } from "../../../../structures/hook_minus_delivery";
import { hook_minus_delivery_minus_item } from "../../../../structures/hook_minus_delivery_minus_item";
export * as attempts from "./attempts";
/**
 * List deliveries for a repository webhook.
 * Returns a list of webhook deliveries for a webhook configured in a repository.
 *
 * @tag repos
 * @path repos/:owner/:repo/hooks/:hook_id/deliveries
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndHook_id(connection: IConnection<getByOwnerAndRepoAndHook_id.Headers>, owner: string, repo: string, hook_id: string, query: getByOwnerAndRepoAndHook_id.Query): Promise<getByOwnerAndRepoAndHook_id.Output>;
export declare namespace getByOwnerAndRepoAndHook_id {
    type Headers = IApiReposHooksDeliveries.GetHeader;
    type Query = IApiReposHooksDeliveries.GetQuery;
    type Output = hook_minus_delivery_minus_item[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/hooks/:hook_id/deliveries";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, hook_id: string, query: getByOwnerAndRepoAndHook_id.Query) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => hook_minus_delivery_minus_item[];
    const simulate: (connection: IConnection<getByOwnerAndRepoAndHook_id.Headers>, owner: string, repo: string, hook_id: string, query: getByOwnerAndRepoAndHook_id.Query) => Output;
}
/**
 * Get a delivery for a repository webhook.
 * Returns a delivery for a webhook configured in a repository.
 *
 * @tag repos
 * @path repos/:owner/:repo/hooks/:hook_id/deliveries/:delivery_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndHook_idAndDelivery_id(connection: IConnection<getByOwnerAndRepoAndHook_idAndDelivery_id.Headers>, owner: string, repo: string, hook_id: string, delivery_id: string): Promise<getByOwnerAndRepoAndHook_idAndDelivery_id.Output>;
export declare namespace getByOwnerAndRepoAndHook_idAndDelivery_id {
    type Headers = IApiReposHooksDeliveries.GetHeader;
    type Output = hook_minus_delivery;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/hooks/:hook_id/deliveries/:delivery_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, hook_id: string, delivery_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => hook_minus_delivery;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndHook_idAndDelivery_id.Headers>, owner: string, repo: string, hook_id: string, delivery_id: string) => Output;
}
