import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposHooksPings } from "../../../../structures/IApiReposHooksPings";
/**
 * Ping a repository webhook.
 * This will trigger a [ping event](https://docs.github.com/webhooks/#ping-event) to be sent to the hook.
 *
 * @tag repos
 * @path repos/:owner/:repo/hooks/:hook_id/pings
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepoAndHook_id(connection: IConnection<postByOwnerAndRepoAndHook_id.Headers>, owner: string, repo: string, hook_id: string): Promise<void>;
export declare namespace postByOwnerAndRepoAndHook_id {
    type Headers = IApiReposHooksPings.PostHeader;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/hooks/:hook_id/pings";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, hook_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<postByOwnerAndRepoAndHook_id.Headers>, owner: string, repo: string, hook_id: string) => void;
}
