import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposHooksTests } from "../../../../structures/IApiReposHooksTests";
/**
 * Test the push repository webhook.
 * This will trigger the hook with the latest push to the current repository if the hook is subscribed to `push` events. If the hook is not subscribed to `push` events, the server will respond with 204 but no test POST will be generated.
 *
 * > [!NOTE]
 * > Previously `/repos/:owner/:repo/hooks/:hook_id/test`
 *
 * @tag repos
 * @path repos/:owner/:repo/hooks/:hook_id/tests
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepoAndHook_id(connection: IConnection<postByOwnerAndRepoAndHook_id.Headers>, owner: string, repo: string, hook_id: string): Promise<void>;
export declare namespace postByOwnerAndRepoAndHook_id {
    type Headers = IApiReposHooksTests.PostHeader;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/hooks/:hook_id/tests";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, hook_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<postByOwnerAndRepoAndHook_id.Headers>, owner: string, repo: string, hook_id: string) => void;
}
