import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposInvitations } from "../../../structures/IApiReposInvitations";
import { body } from "../../../structures/body";
import { repository_minus_invitation } from "../../../structures/repository_minus_invitation";
/**
 * List repository invitations.
 * When authenticating as a user with admin rights to a repository, this endpoint will list all currently open repository invitations.
 *
 * @tag repos
 * @path repos/:owner/:repo/invitations
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposInvitations.GetHeader;
    type Output = repository_minus_invitation[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/invitations";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => repository_minus_invitation[];
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
/**
 * @tag repos
 * @path repos/:owner/:repo/invitations/:invitation_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function patchByOwnerAndRepoAndInvitation_id(connection: IConnection<patchByOwnerAndRepoAndInvitation_id.Headers>, owner: string, repo: string, invitation_id: string, body: patchByOwnerAndRepoAndInvitation_id.Input): Promise<patchByOwnerAndRepoAndInvitation_id.Output>;
export declare namespace patchByOwnerAndRepoAndInvitation_id {
    type Headers = IApiReposInvitations.PatchHeader;
    type Input = body;
    type Output = repository_minus_invitation;
    const METADATA: {
        readonly method: "PATCH";
        readonly path: "/repos/:owner/:repo/invitations/:invitation_id";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, invitation_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => repository_minus_invitation;
    const simulate: (connection: IConnection<patchByOwnerAndRepoAndInvitation_id.Headers>, owner: string, repo: string, invitation_id: string, body: patchByOwnerAndRepoAndInvitation_id.Input) => Output;
}
/**
 * @tag repos
 * @path repos/:owner/:repo/invitations/:invitation_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function eraseByOwnerAndRepoAndInvitation_id(connection: IConnection<eraseByOwnerAndRepoAndInvitation_id.Headers>, owner: string, repo: string, invitation_id: string): Promise<void>;
export declare namespace eraseByOwnerAndRepoAndInvitation_id {
    type Headers = IApiReposInvitations.DeleteHeader;
    const METADATA: {
        readonly method: "DELETE";
        readonly path: "/repos/:owner/:repo/invitations/:invitation_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, invitation_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<eraseByOwnerAndRepoAndInvitation_id.Headers>, owner: string, repo: string, invitation_id: string) => void;
}
