import { IConnection } from "@nestia/fetcher";
import typia, { tags } from "typia";
import { IApiReposIssuesEvents } from "../../../../structures/IApiReposIssuesEvents";
import { issue_minus_event } from "../../../../structures/issue_minus_event";
import { issue_minus_event_minus_for_minus_issue } from "../../../../structures/issue_minus_event_minus_for_minus_issue";
/**
 * List issue events for a repository.
 * Lists events for a repository.
 *
 * @tag issues
 * @path repos/:owner/:repo/issues/events
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposIssuesEvents.GetHeader;
    type Output = issue_minus_event[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/issues/events";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => issue_minus_event[];
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
/**
 * Get an issue event.
 * Gets a single event by the event id.
 *
 * @tag issues
 * @path repos/:owner/:repo/issues/events/:event_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndEvent_id(connection: IConnection<getByOwnerAndRepoAndEvent_id.Headers>, owner: string, repo: string, event_id: number & tags.Type<"int32">): Promise<getByOwnerAndRepoAndEvent_id.Output>;
export declare namespace getByOwnerAndRepoAndEvent_id {
    type Headers = IApiReposIssuesEvents.GetHeader;
    type Output = issue_minus_event;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/issues/events/:event_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, event_id: number & tags.Type<"int32">) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => issue_minus_event;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndEvent_id.Headers>, owner: string, repo: string, event_id: number & tags.Type<"int32">) => Output;
}
/**
 * List issue events.
 * Lists all events for an issue.
 *
 * @tag issues
 * @path repos/:owner/:repo/issues/:issue_number/events
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndIssue_number(connection: IConnection<getByOwnerAndRepoAndIssue_number.Headers>, owner: string, repo: string, issue_number: string): Promise<getByOwnerAndRepoAndIssue_number.Output>;
export declare namespace getByOwnerAndRepoAndIssue_number {
    type Headers = IApiReposIssuesEvents.GetHeader;
    type Output = issue_minus_event_minus_for_minus_issue[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/issues/:issue_number/events";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, issue_number: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => issue_minus_event_minus_for_minus_issue[];
    const simulate: (connection: IConnection<getByOwnerAndRepoAndIssue_number.Headers>, owner: string, repo: string, issue_number: string) => Output;
}
