import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposIssuesLock } from "../../../../structures/IApiReposIssuesLock";
import { body } from "../../../../structures/body";
/**
 * Lock an issue.
 * Users with push access can lock an issue or pull request's conversation.
 *
 * Note that, if you choose not to pass any parameters, you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP method](https://docs.github.com/rest/guides/getting-started-with-the-rest-api#http-method)."
 *
 * @tag issues
 * @path repos/:owner/:repo/issues/:issue_number/lock
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function putByOwnerAndRepoAndIssue_number(connection: IConnection<putByOwnerAndRepoAndIssue_number.Headers>, owner: string, repo: string, issue_number: string, body: putByOwnerAndRepoAndIssue_number.Input): Promise<void>;
export declare namespace putByOwnerAndRepoAndIssue_number {
    type Headers = IApiReposIssuesLock.PutHeader;
    type Input = body;
    const METADATA: {
        readonly method: "PUT";
        readonly path: "/repos/:owner/:repo/issues/:issue_number/lock";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, issue_number: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<putByOwnerAndRepoAndIssue_number.Headers>, owner: string, repo: string, issue_number: string, body: putByOwnerAndRepoAndIssue_number.Input) => void;
}
/**
 * Unlock an issue.
 * Users with push access can unlock an issue's conversation.
 *
 * @tag issues
 * @path repos/:owner/:repo/issues/:issue_number/lock
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function eraseByOwnerAndRepoAndIssue_number(connection: IConnection<eraseByOwnerAndRepoAndIssue_number.Headers>, owner: string, repo: string, issue_number: string): Promise<void>;
export declare namespace eraseByOwnerAndRepoAndIssue_number {
    type Headers = IApiReposIssuesLock.DeleteHeader;
    const METADATA: {
        readonly method: "DELETE";
        readonly path: "/repos/:owner/:repo/issues/:issue_number/lock";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, issue_number: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<eraseByOwnerAndRepoAndIssue_number.Headers>, owner: string, repo: string, issue_number: string) => void;
}
