import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposKeys } from "../../../structures/IApiReposKeys";
import { body } from "../../../structures/body";
import { deploy_minus_key } from "../../../structures/deploy_minus_key";
/**
 * @tag repos
 * @path repos/:owner/:repo/keys
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposKeys.GetHeader;
    type Output = deploy_minus_key[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/keys";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => deploy_minus_key[];
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
/**
 * Create a deploy key.
 * You can create a read-only deploy key.
 *
 * @tag repos
 * @path repos/:owner/:repo/keys
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepo(connection: IConnection<postByOwnerAndRepo.Headers>, owner: string, repo: string, body: postByOwnerAndRepo.Input): Promise<postByOwnerAndRepo.Output>;
export declare namespace postByOwnerAndRepo {
    type Headers = IApiReposKeys.PostHeader;
    type Input = body;
    type Output = deploy_minus_key;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/keys";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => deploy_minus_key;
    const simulate: (connection: IConnection<postByOwnerAndRepo.Headers>, owner: string, repo: string, body: postByOwnerAndRepo.Input) => Output;
}
/**
 * @tag repos
 * @path repos/:owner/:repo/keys/:key_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndKey_id(connection: IConnection<getByOwnerAndRepoAndKey_id.Headers>, owner: string, repo: string, key_id: string): Promise<getByOwnerAndRepoAndKey_id.Output>;
export declare namespace getByOwnerAndRepoAndKey_id {
    type Headers = IApiReposKeys.GetHeader;
    type Output = deploy_minus_key;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/keys/:key_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, key_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => deploy_minus_key;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndKey_id.Headers>, owner: string, repo: string, key_id: string) => Output;
}
/**
 * Delete a deploy key.
 * Deploy keys are immutable. If you need to update a key, remove the key and create a new one instead.
 *
 * @tag repos
 * @path repos/:owner/:repo/keys/:key_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function eraseByOwnerAndRepoAndKey_id(connection: IConnection<eraseByOwnerAndRepoAndKey_id.Headers>, owner: string, repo: string, key_id: string): Promise<void>;
export declare namespace eraseByOwnerAndRepoAndKey_id {
    type Headers = IApiReposKeys.DeleteHeader;
    const METADATA: {
        readonly method: "DELETE";
        readonly path: "/repos/:owner/:repo/keys/:key_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, key_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<eraseByOwnerAndRepoAndKey_id.Headers>, owner: string, repo: string, key_id: string) => void;
}
