import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposLanguages } from "../../../structures/IApiReposLanguages";
import { language } from "../../../structures/language";
/**
 * List repository languages.
 * Lists languages for the specified repository. The value shown for each language is the number of bytes of code written in that language.
 *
 * @tag repos
 * @path repos/:owner/:repo/languages
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposLanguages.GetHeader;
    type Output = language;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/languages";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => language;
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
