import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposMergeUpstream } from "../../../structures/IApiReposMergeUpstream";
import { body } from "../../../structures/body";
import { merged_minus_upstream } from "../../../structures/merged_minus_upstream";
/**
 * Sync a fork branch with the upstream repository.
 * Sync a branch of a forked repository to keep it up-to-date with the upstream repository.
 *
 * @tag repos
 * @path repos/:owner/:repo/merge-upstream
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepo(connection: IConnection<postByOwnerAndRepo.Headers>, owner: string, repo: string, body: postByOwnerAndRepo.Input): Promise<postByOwnerAndRepo.Output>;
export declare namespace postByOwnerAndRepo {
    type Headers = IApiReposMergeUpstream.PostHeader;
    type Input = body;
    type Output = merged_minus_upstream;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/merge-upstream";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => merged_minus_upstream;
    const simulate: (connection: IConnection<postByOwnerAndRepo.Headers>, owner: string, repo: string, body: postByOwnerAndRepo.Input) => Output;
}
