import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposPullsReviewsComments } from "../../../../../structures/IApiReposPullsReviewsComments";
import { review_minus_comment } from "../../../../../structures/review_minus_comment";
/**
 * List comments for a pull request review.
 * Lists comments for a specific pull request review.
 *
 * This endpoint supports the following custom media types. For more information, see "[Media types](https://docs.github.com/rest/using-the-rest-api/getting-started-with-the-rest-api#media-types)."
 *
 * - **`application/vnd.github-commitcomment.raw+json`**: Returns the raw markdown body. Response will include `body`. This is the default if you do not pass any specific media type.
 * - **`application/vnd.github-commitcomment.text+json`**: Returns a text only representation of the markdown body. Response will include `body_text`.
 * - **`application/vnd.github-commitcomment.html+json`**: Returns HTML rendered from the body's markdown. Response will include `body_html`.
 * - **`application/vnd.github-commitcomment.full+json`**: Returns raw, text, and HTML representations. Response will include `body`, `body_text`, and `body_html`.
 *
 * @tag pulls
 * @path repos/:owner/:repo/pulls/:pull_number/reviews/:review_id/comments
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndPull_numberAndReview_id(connection: IConnection<getByOwnerAndRepoAndPull_numberAndReview_id.Headers>, owner: string, repo: string, pull_number: string, review_id: string): Promise<getByOwnerAndRepoAndPull_numberAndReview_id.Output>;
export declare namespace getByOwnerAndRepoAndPull_numberAndReview_id {
    type Headers = IApiReposPullsReviewsComments.GetHeader;
    type Output = review_minus_comment[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/pulls/:pull_number/reviews/:review_id/comments";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, pull_number: string, review_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => review_minus_comment[];
    const simulate: (connection: IConnection<getByOwnerAndRepoAndPull_numberAndReview_id.Headers>, owner: string, repo: string, pull_number: string, review_id: string) => Output;
}
