import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposReleasesLatest } from "../../../../structures/IApiReposReleasesLatest";
import { release } from "../../../../structures/release";
/**
 * Get the latest release.
 * View the latest published full release for the repository.
 *
 * The latest release is the most recent non-prerelease, non-draft release, sorted by the `created_at` attribute. The `created_at` attribute is the date of the commit used for the release, and not the date when the release was drafted or published.
 *
 * @tag repos
 * @path repos/:owner/:repo/releases/latest
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposReleasesLatest.GetHeader;
    type Output = release;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/releases/latest";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => release;
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
