import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposRulesBranches } from "../../../../structures/IApiReposRulesBranches";
import { repository_minus_rule_minus_detailed } from "../../../../structures/repository_minus_rule_minus_detailed";
/**
 * Get rules for a branch.
 * Returns all active rules that apply to the specified branch. The branch does not need to exist; rules that would apply
 * to a branch with that name will be returned. All active rules that apply will be returned, regardless of the level
 * at which they are configured (e.g. repository or organization). Rules in rulesets with "evaluate" or "disabled"
 * enforcement statuses are not returned.
 *
 * @tag repos
 * @path repos/:owner/:repo/rules/branches/:branch
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndBranch(connection: IConnection<getByOwnerAndRepoAndBranch.Headers>, owner: string, repo: string, branch: string): Promise<getByOwnerAndRepoAndBranch.Output>;
export declare namespace getByOwnerAndRepoAndBranch {
    type Headers = IApiReposRulesBranches.GetHeader;
    type Output = repository_minus_rule_minus_detailed[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/rules/branches/:branch";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, branch: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => repository_minus_rule_minus_detailed[];
    const simulate: (connection: IConnection<getByOwnerAndRepoAndBranch.Headers>, owner: string, repo: string, branch: string) => Output;
}
