import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposRulesetsRuleSuites } from "../../../../structures/IApiReposRulesetsRuleSuites";
import { rule_minus_suite } from "../../../../structures/rule_minus_suite";
import { rule_minus_suites } from "../../../../structures/rule_minus_suites";
/**
 * List repository rule suites.
 * Lists suites of rule evaluations at the repository level.
 * For more information, see "[Managing rulesets for a repository](https://docs.github.com/repositories/configuring-branches-and-merges-in-your-repository/managing-rulesets/managing-rulesets-for-a-repository#viewing-insights-for-rulesets)."
 *
 * @tag repos
 * @path repos/:owner/:repo/rulesets/rule-suites
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposRulesetsRuleSuites.GetHeader;
    type Output = rule_minus_suites;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/rulesets/rule-suites";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => rule_minus_suites;
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
/**
 * Get a repository rule suite.
 * Gets information about a suite of rule evaluations from within a repository.
 * For more information, see "[Managing rulesets for a repository](https://docs.github.com/repositories/configuring-branches-and-merges-in-your-repository/managing-rulesets/managing-rulesets-for-a-repository#viewing-insights-for-rulesets)."
 *
 * @tag repos
 * @path repos/:owner/:repo/rulesets/rule-suites/:rule_suite_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndRule_suite_id(connection: IConnection<getByOwnerAndRepoAndRule_suite_id.Headers>, owner: string, repo: string, rule_suite_id: string): Promise<getByOwnerAndRepoAndRule_suite_id.Output>;
export declare namespace getByOwnerAndRepoAndRule_suite_id {
    type Headers = IApiReposRulesetsRuleSuites.GetHeader;
    type Output = rule_minus_suite;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/rulesets/rule-suites/:rule_suite_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, rule_suite_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => rule_minus_suite;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndRule_suite_id.Headers>, owner: string, repo: string, rule_suite_id: string) => Output;
}
