import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposSecretScanningAlertsLocations } from "../../../../../structures/IApiReposSecretScanningAlertsLocations";
import { secret_minus_scanning_minus_location } from "../../../../../structures/secret_minus_scanning_minus_location";
/**
 * List locations for a secret scanning alert.
 * Lists all locations for a given secret scanning alert for an eligible repository.
 *
 * The authenticated user must be an administrator for the repository or for the organization that owns the repository to use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` or `security_events` scope to use this endpoint. If this endpoint is only used with public repositories, the token can use the `public_repo` scope instead.
 *
 * @tag secret-scanning
 * @path repos/:owner/:repo/secret-scanning/alerts/:alert_number/locations
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndAlert_number(connection: IConnection<getByOwnerAndRepoAndAlert_number.Headers>, owner: string, repo: string, alert_number: string): Promise<getByOwnerAndRepoAndAlert_number.Output>;
export declare namespace getByOwnerAndRepoAndAlert_number {
    type Headers = IApiReposSecretScanningAlertsLocations.GetHeader;
    type Output = secret_minus_scanning_minus_location[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/secret-scanning/alerts/:alert_number/locations";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, alert_number: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => secret_minus_scanning_minus_location[];
    const simulate: (connection: IConnection<getByOwnerAndRepoAndAlert_number.Headers>, owner: string, repo: string, alert_number: string) => Output;
}
