import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposSecretScanningPushProtectionBypasses } from "../../../../structures/IApiReposSecretScanningPushProtectionBypasses";
import { body } from "../../../../structures/body";
import { secret_minus_scanning_minus_push_minus_protection_minus_bypass } from "../../../../structures/secret_minus_scanning_minus_push_minus_protection_minus_bypass";
/**
 * Create a push protection bypass.
 * Creates a bypass for a previously push protected secret.
 *
 * The authenticated user must be the original author of the committed secret.
 *
 * OAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.
 *
 * @tag secret-scanning
 * @path repos/:owner/:repo/secret-scanning/push-protection-bypasses
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepo(connection: IConnection<postByOwnerAndRepo.Headers>, owner: string, repo: string, body: postByOwnerAndRepo.Input): Promise<postByOwnerAndRepo.Output>;
export declare namespace postByOwnerAndRepo {
    type Headers = IApiReposSecretScanningPushProtectionBypasses.PostHeader;
    type Input = body;
    type Output = secret_minus_scanning_minus_push_minus_protection_minus_bypass;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/secret-scanning/push-protection-bypasses";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => secret_minus_scanning_minus_push_minus_protection_minus_bypass;
    const simulate: (connection: IConnection<postByOwnerAndRepo.Headers>, owner: string, repo: string, body: postByOwnerAndRepo.Input) => Output;
}
