import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposSecurityAdvisoriesForks } from "../../../../structures/IApiReposSecurityAdvisoriesForks";
/**
 * Create a temporary private fork to collaborate on fixing a security vulnerability in your repository.
 *
 * > [!NOTE]
 * > Forking a repository happens asynchronously. You may have to wait up to 5 minutes before you can access the fork.
 *
 * @tag security-advisories
 * @path repos/:owner/:repo/security-advisories/:ghsa_id/forks
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepoAndGhsa_id(connection: IConnection<postByOwnerAndRepoAndGhsa_id.Headers>, owner: string, repo: string, ghsa_id: string): Promise<void>;
export declare namespace postByOwnerAndRepoAndGhsa_id {
    type Headers = IApiReposSecurityAdvisoriesForks.PostHeader;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/security-advisories/:ghsa_id/forks";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, ghsa_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<postByOwnerAndRepoAndGhsa_id.Headers>, owner: string, repo: string, ghsa_id: string) => void;
}
