import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposStatsCodeFrequency } from "../../../../structures/IApiReposStatsCodeFrequency";
import { code_minus_frequency_minus_stat } from "../../../../structures/code_minus_frequency_minus_stat";
/**
 * Get the weekly commit activity.
 * Returns a weekly aggregate of the number of additions and deletions pushed to a repository.
 *
 * > [!NOTE]
 * > This endpoint can only be used for repositories with fewer than 10,000 commits. If the repository contains 10,000 or more commits, a 422 status code will be returned.
 *
 * @tag repos
 * @path repos/:owner/:repo/stats/code_frequency
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposStatsCodeFrequency.GetHeader;
    type Output = code_minus_frequency_minus_stat[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/stats/code_frequency";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => code_minus_frequency_minus_stat[];
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
