import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposStatsParticipation } from "../../../../structures/IApiReposStatsParticipation";
import { participation_minus_stats } from "../../../../structures/participation_minus_stats";
/**
 * Get the weekly commit count.
 * Returns the total commit counts for the `owner` and total commit counts in `all`. `all` is everyone combined, including the `owner` in the last 52 weeks. If you'd like to get the commit counts for non-owners, you can subtract `owner` from `all`.
 *
 * The array order is oldest week (index 0) to most recent week.
 *
 * The most recent week is seven days ago at UTC midnight to today at UTC midnight.
 *
 * @tag repos
 * @path repos/:owner/:repo/stats/participation
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposStatsParticipation.GetHeader;
    type Output = participation_minus_stats;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/stats/participation";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => participation_minus_stats;
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
