import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposStatsPunchCard } from "../../../../structures/IApiReposStatsPunchCard";
import { code_minus_frequency_minus_stat } from "../../../../structures/code_minus_frequency_minus_stat";
/**
 * Get the hourly commit count for each day.
 * Each array contains the day number, hour number, and number of commits:
 *
 * *   `0-6`: Sunday - Saturday
 * *   `0-23`: Hour of day
 * *   Number of commits
 *
 * For example, `[2, 14, 25]` indicates that there were 25 total commits, during the 2:00pm hour on Tuesdays. All times are based on the time zone of individual commits.
 *
 * @tag repos
 * @path repos/:owner/:repo/stats/punch_card
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposStatsPunchCard.GetHeader;
    type Output = code_minus_frequency_minus_stat[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/stats/punch_card";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => code_minus_frequency_minus_stat[];
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
