import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposStatuses } from "../../../structures/IApiReposStatuses";
import { body } from "../../../structures/body";
import { status } from "../../../structures/status";
/**
 * Create a commit status.
 * Users with push access in a repository can create commit statuses for a given SHA.
 *
 * Note: there is a limit of 1000 statuses per `sha` and `context` within a repository. Attempts to create more than 1000 statuses will result in a validation error.
 *
 * @tag repos
 * @path repos/:owner/:repo/statuses/:sha
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByOwnerAndRepoAndSha(connection: IConnection<postByOwnerAndRepoAndSha.Headers>, owner: string, repo: string, sha: string, body: postByOwnerAndRepoAndSha.Input): Promise<postByOwnerAndRepoAndSha.Output>;
export declare namespace postByOwnerAndRepoAndSha {
    type Headers = IApiReposStatuses.PostHeader;
    type Input = body;
    type Output = status;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/repos/:owner/:repo/statuses/:sha";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, sha: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => status;
    const simulate: (connection: IConnection<postByOwnerAndRepoAndSha.Headers>, owner: string, repo: string, sha: string, body: postByOwnerAndRepoAndSha.Input) => Output;
}
