import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposTarball } from "../../../structures/IApiReposTarball";
/**
 * Download a repository archive (tar).
 * Gets a redirect URL to download a tar archive for a repository. If you omit `:ref`, the repository’s default branch (usually
 * `main`) will be used. Please make sure your HTTP framework is configured to follow redirects or you will need to use
 * the `Location` header to make a second `GET` request.
 *
 * > [!NOTE]
 * > For private repositories, these links are temporary and expire after five minutes.
 *
 * @tag repos
 * @path repos/:owner/:repo/tarball/:ref
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepoAndRef(connection: IConnection<getByOwnerAndRepoAndRef.Headers>, owner: string, repo: string, ref: string): Promise<void>;
export declare namespace getByOwnerAndRepoAndRef {
    type Headers = IApiReposTarball.GetHeader;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/tarball/:ref";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string, ref: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<getByOwnerAndRepoAndRef.Headers>, owner: string, repo: string, ref: string) => void;
}
