import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposTopics } from "../../../structures/IApiReposTopics";
import { body } from "../../../structures/body";
import { topic } from "../../../structures/topic";
/**
 * @tag repos
 * @path repos/:owner/:repo/topics
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposTopics.GetHeader;
    type Output = topic;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/topics";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => topic;
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
/**
 * @tag repos
 * @path repos/:owner/:repo/topics
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function putByOwnerAndRepo(connection: IConnection<putByOwnerAndRepo.Headers>, owner: string, repo: string, body: putByOwnerAndRepo.Input): Promise<putByOwnerAndRepo.Output>;
export declare namespace putByOwnerAndRepo {
    type Headers = IApiReposTopics.PutHeader;
    type Input = body;
    type Output = topic;
    const METADATA: {
        readonly method: "PUT";
        readonly path: "/repos/:owner/:repo/topics";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => topic;
    const simulate: (connection: IConnection<putByOwnerAndRepo.Headers>, owner: string, repo: string, body: putByOwnerAndRepo.Input) => Output;
}
