import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiReposTrafficClones } from "../../../../structures/IApiReposTrafficClones";
import { clone_minus_traffic } from "../../../../structures/clone_minus_traffic";
/**
 * Get repository clones.
 * Get the total number of clones and breakdown per day or week for the last 14 days. Timestamps are aligned to UTC midnight of the beginning of the day or week. Week begins on Monday.
 *
 * @tag repos
 * @path repos/:owner/:repo/traffic/clones
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByOwnerAndRepo(connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string): Promise<getByOwnerAndRepo.Output>;
export declare namespace getByOwnerAndRepo {
    type Headers = IApiReposTrafficClones.GetHeader;
    type Output = clone_minus_traffic;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/repos/:owner/:repo/traffic/clones";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (owner: string, repo: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => clone_minus_traffic;
    const simulate: (connection: IConnection<getByOwnerAndRepo.Headers>, owner: string, repo: string) => Output;
}
