import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiTeamsDiscussionsReactions } from "../../../../structures/IApiTeamsDiscussionsReactions";
import { body } from "../../../../structures/body";
import { reaction } from "../../../../structures/reaction";
/**
 * List reactions for a team discussion (Legacy).
 * > [!WARNING]
 * > **Deprecation notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`List reactions for a team discussion`](https://docs.github.com/rest/reactions/reactions#list-reactions-for-a-team-discussion) endpoint.
 *
 * List the reactions to a [team discussion](https://docs.github.com/rest/teams/discussions#get-a-discussion).
 *
 * OAuth app tokens and personal access tokens (classic) need the `read:discussion` scope to use this endpoint.
 *
 * @tag reactions
 * @deprecated
 * @path teams/:team_id/discussions/:discussion_number/reactions
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByTeam_idAndDiscussion_number(connection: IConnection<getByTeam_idAndDiscussion_number.Headers>, team_id: string, discussion_number: string, query: getByTeam_idAndDiscussion_number.Query): Promise<getByTeam_idAndDiscussion_number.Output>;
export declare namespace getByTeam_idAndDiscussion_number {
    type Headers = IApiTeamsDiscussionsReactions.GetHeader;
    type Query = IApiTeamsDiscussionsReactions.GetQuery;
    type Output = reaction[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/teams/:team_id/discussions/:discussion_number/reactions";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (team_id: string, discussion_number: string, query: getByTeam_idAndDiscussion_number.Query) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => reaction[];
    const simulate: (connection: IConnection<getByTeam_idAndDiscussion_number.Headers>, team_id: string, discussion_number: string, query: getByTeam_idAndDiscussion_number.Query) => Output;
}
/**
 * Create reaction for a team discussion (Legacy).
 * > [!WARNING]
 * > **Deprecation notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`Create reaction for a team discussion`](https://docs.github.com/rest/reactions/reactions#create-reaction-for-a-team-discussion) endpoint.
 *
 * Create a reaction to a [team discussion](https://docs.github.com/rest/teams/discussions#get-a-discussion).
 *
 * A response with an HTTP `200` status means that you already added the reaction type to this team discussion.
 *
 * OAuth app tokens and personal access tokens (classic) need the `write:discussion` scope to use this endpoint.
 *
 * @tag reactions
 * @deprecated
 * @path teams/:team_id/discussions/:discussion_number/reactions
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByTeam_idAndDiscussion_number(connection: IConnection<postByTeam_idAndDiscussion_number.Headers>, team_id: string, discussion_number: string, body: postByTeam_idAndDiscussion_number.Input): Promise<postByTeam_idAndDiscussion_number.Output>;
export declare namespace postByTeam_idAndDiscussion_number {
    type Headers = IApiTeamsDiscussionsReactions.PostHeader;
    type Input = body;
    type Output = reaction;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/teams/:team_id/discussions/:discussion_number/reactions";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (team_id: string, discussion_number: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => reaction;
    const simulate: (connection: IConnection<postByTeam_idAndDiscussion_number.Headers>, team_id: string, discussion_number: string, body: postByTeam_idAndDiscussion_number.Input) => Output;
}
