import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiTeamsProjects } from "../../../structures/IApiTeamsProjects";
import { body } from "../../../structures/body";
import { team_minus_project } from "../../../structures/team_minus_project";
/**
 * List team projects (Legacy).
 * > [!WARNING]
 * > **Deprecation notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`List team projects`](https://docs.github.com/rest/teams/teams#list-team-projects) endpoint.
 *
 * Lists the organization projects for a team.
 *
 * @tag teams
 * @deprecated
 * @path teams/:team_id/projects
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByTeam_id(connection: IConnection<getByTeam_id.Headers>, team_id: string): Promise<getByTeam_id.Output>;
export declare namespace getByTeam_id {
    type Headers = IApiTeamsProjects.GetHeader;
    type Output = team_minus_project[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/teams/:team_id/projects";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (team_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => team_minus_project[];
    const simulate: (connection: IConnection<getByTeam_id.Headers>, team_id: string) => Output;
}
/**
 * Check team permissions for a project (Legacy).
 * > [!WARNING]
 * > **Deprecation notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Check team permissions for a project](https://docs.github.com/rest/teams/teams#check-team-permissions-for-a-project) endpoint.
 *
 * Checks whether a team has `read`, `write`, or `admin` permissions for an organization project. The response includes projects inherited from a parent team.
 *
 * @tag teams
 * @deprecated
 * @path teams/:team_id/projects/:project_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByTeam_idAndProject_id(connection: IConnection<getByTeam_idAndProject_id.Headers>, team_id: string, project_id: string): Promise<getByTeam_idAndProject_id.Output>;
export declare namespace getByTeam_idAndProject_id {
    type Headers = IApiTeamsProjects.GetHeader;
    type Output = team_minus_project;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/teams/:team_id/projects/:project_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (team_id: string, project_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => team_minus_project;
    const simulate: (connection: IConnection<getByTeam_idAndProject_id.Headers>, team_id: string, project_id: string) => Output;
}
/**
 * Add or update team project permissions (Legacy).
 * > [!WARNING]
 * > **Deprecation notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Add or update team project permissions](https://docs.github.com/rest/teams/teams#add-or-update-team-project-permissions) endpoint.
 *
 * Adds an organization project to a team. To add a project to a team or update the team's permission on a project, the authenticated user must have `admin` permissions for the project. The project and team must be part of the same organization.
 *
 * @tag teams
 * @deprecated
 * @path teams/:team_id/projects/:project_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function putByTeam_idAndProject_id(connection: IConnection<putByTeam_idAndProject_id.Headers>, team_id: string, project_id: string, body: putByTeam_idAndProject_id.Input): Promise<void>;
export declare namespace putByTeam_idAndProject_id {
    type Headers = IApiTeamsProjects.PutHeader;
    type Input = body;
    const METADATA: {
        readonly method: "PUT";
        readonly path: "/teams/:team_id/projects/:project_id";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (team_id: string, project_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<putByTeam_idAndProject_id.Headers>, team_id: string, project_id: string, body: putByTeam_idAndProject_id.Input) => void;
}
/**
 * Remove a project from a team (Legacy).
 * > [!WARNING]
 * > **Deprecation notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Remove a project from a team](https://docs.github.com/rest/teams/teams#remove-a-project-from-a-team) endpoint.
 *
 * Removes an organization project from a team. An organization owner or a team maintainer can remove any project from the team. To remove a project from a team as an organization member, the authenticated user must have `read` access to both the team and project, or `admin` access to the team or project. **Note:** This endpoint removes the project from the team, but does not delete it.
 *
 * @tag teams
 * @deprecated
 * @path teams/:team_id/projects/:project_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function eraseByTeam_idAndProject_id(connection: IConnection<eraseByTeam_idAndProject_id.Headers>, team_id: string, project_id: string): Promise<void>;
export declare namespace eraseByTeam_idAndProject_id {
    type Headers = IApiTeamsProjects.DeleteHeader;
    const METADATA: {
        readonly method: "DELETE";
        readonly path: "/teams/:team_id/projects/:project_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (team_id: string, project_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<eraseByTeam_idAndProject_id.Headers>, team_id: string, project_id: string) => void;
}
