import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUserCodespacesMachines } from "../../../../structures/IApiUserCodespacesMachines";
import { response } from "../../../../structures/response";
/**
 * List machine types for a codespace.
 * List the machine types a codespace can transition to use.
 *
 * OAuth app tokens and personal access tokens (classic) need the `codespace` scope to use this endpoint.
 *
 * @tag codespaces
 * @path user/codespaces/:codespace_name/machines
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByCodespace_name(connection: IConnection<getByCodespace_name.Headers>, codespace_name: string): Promise<getByCodespace_name.Output>;
export declare namespace getByCodespace_name {
    type Headers = IApiUserCodespacesMachines.GetHeader;
    type Output = response;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/user/codespaces/:codespace_name/machines";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (codespace_name: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => response;
    const simulate: (connection: IConnection<getByCodespace_name.Headers>, codespace_name: string) => Output;
}
