import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { codespaces_minus_user_minus_public_minus_key } from "../../../../../structures/codespaces_minus_user_minus_public_minus_key";
/**
 * Get public key for the authenticated user.
 * Gets your public key, which you need to encrypt secrets. You need to encrypt a secret before you can create or update secrets.
 *
 * The authenticated user must have Codespaces access to use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `codespace` or `codespace:secrets` scope to use this endpoint.
 *
 * @tag codespaces
 * @path user/codespaces/secrets/public-key
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection): Promise<get.Output>;
export declare namespace get {
    type Output = codespaces_minus_user_minus_public_minus_key;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/user/codespaces/secrets/public-key";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => codespaces_minus_user_minus_public_minus_key;
    const simulate: (connection: IConnection) => Output;
}
