import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUserCodespacesStop } from "../../../../structures/IApiUserCodespacesStop";
import { codespace } from "../../../../structures/codespace";
/**
 * Stop a codespace for the authenticated user.
 * Stops a user's codespace.
 *
 * OAuth app tokens and personal access tokens (classic) need the `codespace` scope to use this endpoint.
 *
 * @tag codespaces
 * @path user/codespaces/:codespace_name/stop
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function postByCodespace_name(connection: IConnection<postByCodespace_name.Headers>, codespace_name: string): Promise<postByCodespace_name.Output>;
export declare namespace postByCodespace_name {
    type Headers = IApiUserCodespacesStop.PostHeader;
    type Output = codespace;
    const METADATA: {
        readonly method: "POST";
        readonly path: "/user/codespaces/:codespace_name/stop";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (codespace_name: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => codespace;
    const simulate: (connection: IConnection<postByCodespace_name.Headers>, codespace_name: string) => Output;
}
