import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { body } from "../../../../structures/body";
import { email } from "../../../../structures/email";
/**
 * Set primary email visibility for the authenticated user.
 * Sets the visibility for your primary email addresses.
 *
 * @tag users
 * @path user/email/visibility
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function patch(connection: IConnection, body: patch.Input): Promise<patch.Output>;
export declare namespace patch {
    type Input = body;
    type Output = email[];
    const METADATA: {
        readonly method: "PATCH";
        readonly path: "/user/email/visibility";
        readonly request: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => email[];
    const simulate: (connection: IConnection, body: patch.Input) => Output;
}
