import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUserInstallations } from "../../../structures/IApiUserInstallations";
import { response } from "../../../structures/response";
export * as repositories from "./repositories";
/**
 * List app installations accessible to the user access token.
 * Lists installations of your GitHub App that the authenticated user has explicit permission (`:read`, `:write`, or `:admin`) to access.
 *
 * The authenticated user has explicit permission to access repositories they own, repositories where they are a collaborator, and repositories that they can access through an organization membership.
 *
 * You can find the permissions for the installation under the `permissions` key.
 *
 * @tag apps
 * @path user/installations
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection<get.Headers>): Promise<get.Output>;
export declare namespace get {
    type Headers = IApiUserInstallations.GetHeader;
    type Output = response;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/user/installations";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => response;
    const simulate: (connection: IConnection<get.Headers>) => Output;
}
