import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUserMigrationsRepositories } from "../../../../structures/IApiUserMigrationsRepositories";
import { minimal_minus_repository } from "../../../../structures/minimal_minus_repository";
/**
 * List repositories for a user migration.
 * Lists all the repositories for this user migration.
 *
 * @tag migrations
 * @path user/migrations/:migration_id/repositories
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByMigration_id(connection: IConnection<getByMigration_id.Headers>, migration_id: string): Promise<getByMigration_id.Output>;
export declare namespace getByMigration_id {
    type Headers = IApiUserMigrationsRepositories.GetHeader;
    type Output = minimal_minus_repository[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/user/migrations/:migration_id/repositories";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (migration_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => minimal_minus_repository[];
    const simulate: (connection: IConnection<getByMigration_id.Headers>, migration_id: string) => Output;
}
