import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUserPublicEmails } from "../../../structures/IApiUserPublicEmails";
import { email } from "../../../structures/email";
/**
 * List public email addresses for the authenticated user.
 * Lists your publicly visible email address, which you can set with the
 * [Set primary email visibility for the authenticated user](https://docs.github.com/rest/users/emails#set-primary-email-visibility-for-the-authenticated-user)
 * endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `user:email` scope to use this endpoint.
 *
 * @tag users
 * @path user/public_emails
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection<get.Headers>): Promise<get.Output>;
export declare namespace get {
    type Headers = IApiUserPublicEmails.GetHeader;
    type Output = email[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/user/public_emails";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => email[];
    const simulate: (connection: IConnection<get.Headers>) => Output;
}
