import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUserRepositoryInvitations } from "../../../structures/IApiUserRepositoryInvitations";
import { repository_minus_invitation } from "../../../structures/repository_minus_invitation";
/**
 * List repository invitations for the authenticated user.
 * When authenticating as a user, this endpoint will list all currently open repository invitations for that user.
 *
 * @tag repos
 * @path user/repository_invitations
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function get(connection: IConnection<get.Headers>): Promise<get.Output>;
export declare namespace get {
    type Headers = IApiUserRepositoryInvitations.GetHeader;
    type Output = repository_minus_invitation[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/user/repository_invitations";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: () => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => repository_minus_invitation[];
    const simulate: (connection: IConnection<get.Headers>) => Output;
}
/**
 * @tag repos
 * @path user/repository_invitations/:invitation_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function patchByInvitation_id(connection: IConnection<patchByInvitation_id.Headers>, invitation_id: string): Promise<void>;
export declare namespace patchByInvitation_id {
    type Headers = IApiUserRepositoryInvitations.PatchHeader;
    const METADATA: {
        readonly method: "PATCH";
        readonly path: "/user/repository_invitations/:invitation_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (invitation_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<patchByInvitation_id.Headers>, invitation_id: string) => void;
}
/**
 * @tag repos
 * @path user/repository_invitations/:invitation_id
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function eraseByInvitation_id(connection: IConnection<eraseByInvitation_id.Headers>, invitation_id: string): Promise<void>;
export declare namespace eraseByInvitation_id {
    type Headers = IApiUserRepositoryInvitations.DeleteHeader;
    const METADATA: {
        readonly method: "DELETE";
        readonly path: "/user/repository_invitations/:invitation_id";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (invitation_id: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => void;
    const simulate: (connection: IConnection<eraseByInvitation_id.Headers>, invitation_id: string) => void;
}
