import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUsersFollowers } from "../../../structures/IApiUsersFollowers";
import { simple_minus_user } from "../../../structures/simple_minus_user";
/**
 * List followers of a user.
 * Lists the people following the specified user.
 *
 * @tag users
 * @path users/:username/followers
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByUsername(connection: IConnection<getByUsername.Headers>, username: string): Promise<getByUsername.Output>;
export declare namespace getByUsername {
    type Headers = IApiUsersFollowers.GetHeader;
    type Output = simple_minus_user[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/users/:username/followers";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (username: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => simple_minus_user[];
    const simulate: (connection: IConnection<getByUsername.Headers>, username: string) => Output;
}
