import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUsersInstallation } from "../../../structures/IApiUsersInstallation";
import { installation } from "../../../structures/installation";
/**
 * Get a user installation for the authenticated app.
 * Enables an authenticated GitHub App to find the user’s installation information.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 *
 * @tag apps
 * @path users/:username/installation
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByUsername(connection: IConnection<getByUsername.Headers>, username: string): Promise<getByUsername.Output>;
export declare namespace getByUsername {
    type Headers = IApiUsersInstallation.GetHeader;
    type Output = installation;
    const METADATA: {
        readonly method: "GET";
        readonly path: "/users/:username/installation";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (username: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => installation;
    const simulate: (connection: IConnection<getByUsername.Headers>, username: string) => Output;
}
