import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUsersOrgs } from "../../../structures/IApiUsersOrgs";
import { organization_minus_simple } from "../../../structures/organization_minus_simple";
/**
 * List organizations for a user.
 * List [public organization memberships](https://docs.github.com/articles/publicizing-or-concealing-organization-membership) for the specified user.
 *
 * This method only lists _public_ memberships, regardless of authentication. If you need to fetch all of the organization memberships (public and private) for the authenticated user, use the [List organizations for the authenticated user](https://docs.github.com/rest/orgs/orgs#list-organizations-for-the-authenticated-user) API instead.
 *
 * @tag orgs
 * @path users/:username/orgs
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByUsername(connection: IConnection<getByUsername.Headers>, username: string): Promise<getByUsername.Output>;
export declare namespace getByUsername {
    type Headers = IApiUsersOrgs.GetHeader;
    type Output = organization_minus_simple[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/users/:username/orgs";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (username: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => organization_minus_simple[];
    const simulate: (connection: IConnection<getByUsername.Headers>, username: string) => Output;
}
