import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUsersProjects } from "../../../structures/IApiUsersProjects";
import { project } from "../../../structures/project";
/**
 * List user projects.
 * Lists projects for a user.
 *
 * @tag projects
 * @path users/:username/projects
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByUsername(connection: IConnection<getByUsername.Headers>, username: string, query: getByUsername.Query): Promise<getByUsername.Output>;
export declare namespace getByUsername {
    type Headers = IApiUsersProjects.GetHeader;
    type Query = IApiUsersProjects.GetQuery;
    type Output = project[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/users/:username/projects";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (username: string, query: getByUsername.Query) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => project[];
    const simulate: (connection: IConnection<getByUsername.Headers>, username: string, query: getByUsername.Query) => Output;
}
