import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUsersReceivedEvents } from "../../../structures/IApiUsersReceivedEvents";
import { event } from "../../../structures/event";
export * as publics from "./public";
/**
 * List events received by the authenticated user.
 * These are events that you've received by watching repositories and following users. If you are authenticated as the
 * given user, you will see private events. Otherwise, you'll only see public events.
 *
 * > [!NOTE]
 * > This API is not built to serve real-time use cases. Depending on the time of day, event latency can be anywhere from 30s to 6h.
 *
 * @tag activity
 * @path users/:username/received_events
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByUsername(connection: IConnection<getByUsername.Headers>, username: string): Promise<getByUsername.Output>;
export declare namespace getByUsername {
    type Headers = IApiUsersReceivedEvents.GetHeader;
    type Output = event[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/users/:username/received_events";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (username: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => event[];
    const simulate: (connection: IConnection<getByUsername.Headers>, username: string) => Output;
}
