import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUsersReceivedEventsPublic } from "../../../../structures/IApiUsersReceivedEventsPublic";
import { event } from "../../../../structures/event";
/**
 * List public events received by a user.
 * > [!NOTE]
 * > This API is not built to serve real-time use cases. Depending on the time of day, event latency can be anywhere from 30s to 6h.
 *
 * @tag activity
 * @path users/:username/received_events/public
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByUsername(connection: IConnection<getByUsername.Headers>, username: string): Promise<getByUsername.Output>;
export declare namespace getByUsername {
    type Headers = IApiUsersReceivedEventsPublic.GetHeader;
    type Output = event[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/users/:username/received_events/public";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (username: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => event[];
    const simulate: (connection: IConnection<getByUsername.Headers>, username: string) => Output;
}
