import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUsersSocialAccounts } from "../../../structures/IApiUsersSocialAccounts";
import { social_minus_account } from "../../../structures/social_minus_account";
/**
 * List social accounts for a user.
 * Lists social media accounts for a user. This endpoint is accessible by anyone.
 *
 * @tag users
 * @path users/:username/social_accounts
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByUsername(connection: IConnection<getByUsername.Headers>, username: string): Promise<getByUsername.Output>;
export declare namespace getByUsername {
    type Headers = IApiUsersSocialAccounts.GetHeader;
    type Output = social_minus_account[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/users/:username/social_accounts";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (username: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => social_minus_account[];
    const simulate: (connection: IConnection<getByUsername.Headers>, username: string) => Output;
}
