import { IConnection } from "@nestia/fetcher";
import typia from "typia";
import { IApiUsersSubscriptions } from "../../../structures/IApiUsersSubscriptions";
import { minimal_minus_repository } from "../../../structures/minimal_minus_repository";
/**
 * List repositories watched by a user.
 * Lists repositories a user is watching.
 *
 * @tag activity
 * @path users/:username/subscriptions
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
export declare function getByUsername(connection: IConnection<getByUsername.Headers>, username: string): Promise<getByUsername.Output>;
export declare namespace getByUsername {
    type Headers = IApiUsersSubscriptions.GetHeader;
    type Output = minimal_minus_repository[];
    const METADATA: {
        readonly method: "GET";
        readonly path: "/users/:username/subscriptions";
        readonly request: null;
        readonly response: {
            readonly type: "application/json";
            readonly encrypted: false;
        };
    };
    const path: (username: string) => string;
    const random: (g?: Partial<typia.IRandomGenerator>) => minimal_minus_repository[];
    const simulate: (connection: IConnection<getByUsername.Headers>, username: string) => Output;
}
