import { tags } from "typia";
export declare namespace IApiGistsComments {
    type GetHeader = {
        /**
         * The unique identifier of the gist.
         */
        gist_id: string;
        /**
         * The unique identifier of the comment.
         */
        comment_id: number & tags.Type<"int32">;
    };
    type PostHeader = {
        /**
         * The unique identifier of the gist.
         */
        gist_id: string;
    };
    type PatchHeader = {
        /**
         * The unique identifier of the gist.
         */
        gist_id: string;
        /**
         * The unique identifier of the comment.
         */
        comment_id: number & tags.Type<"int32">;
    };
    type DeleteHeader = {
        /**
         * The unique identifier of the gist.
         */
        gist_id: string;
        /**
         * The unique identifier of the comment.
         */
        comment_id: number & tags.Type<"int32">;
    };
}
