import { tags } from "typia";
export declare namespace IApiOrgsActionsRunners {
    type GetHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * Unique identifier of the self-hosted runner.
         */
        runner_id: number & tags.Type<"int32">;
    };
    type GetQuery = {
        /**
         * The name of a self-hosted runner.
         */
        name?: string;
    };
    type DeleteHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * Unique identifier of the self-hosted runner.
         */
        runner_id: number & tags.Type<"int32">;
    };
}
