import { tags } from "typia";
export declare namespace IApiOrgsCodeSecurityConfigurationsRepositories {
    type GetHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * The unique identifier of the code security configuration.
         */
        configuration_id: number & tags.Type<"int32">;
        /**
         * A cursor, as given in the [Link header](https://docs.github.com/rest/guides/using-pagination-in-the-rest-api#using-link-headers). If specified, the query only searches for results before this cursor. For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."
         */
        before?: string;
        /**
         * A cursor, as given in the [Link header](https://docs.github.com/rest/guides/using-pagination-in-the-rest-api#using-link-headers). If specified, the query only searches for results after this cursor. For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."
         */
        after?: string;
    };
    type GetQuery = {
        /**
         * The number of results per page (max 100). For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."
         */
        per_page?: number & tags.Type<"int32"> & tags.Default<30>;
        /**
         * A comma-separated list of statuses. If specified, only repositories with these attachment statuses will be returned.
         *
         * Can be: `all`, `attached`, `attaching`, `detached`, `removed`, `enforced`, `failed`, `updating`, `removed_by_enterprise`
         */
        status?: string & tags.Default<"all">;
    };
}
