import { tags } from "typia";
export declare namespace IApiOrgsPackagesVersions {
    type GetHeader = {
        /**
         * The name of the package.
         */
        package_name: string;
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * Unique identifier of the package version.
         */
        package_version_id: number & tags.Type<"int32">;
    };
    type GetQuery = {};
    type DeleteHeader = {
        /**
         * The name of the package.
         */
        package_name: string;
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * Unique identifier of the package version.
         */
        package_version_id: number & tags.Type<"int32">;
    };
}
