export declare namespace IApiOrgsPropertiesSchema {
    type GetHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * The custom property name. The name is case sensitive.
         */
        custom_property_name: string;
    };
    type PatchHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
    };
    type PutHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * The custom property name. The name is case sensitive.
         */
        custom_property_name: string;
    };
    type DeleteHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * The custom property name. The name is case sensitive.
         */
        custom_property_name: string;
    };
}
