import { tags } from "typia";
export declare namespace IApiReposActionsRunners {
    type GetHeader = {
        /**
         * The account owner of the repository. The name is not case sensitive.
         */
        owner: string;
        /**
         * The name of the repository without the `.git` extension. The name is not case sensitive.
         */
        repo: string;
        /**
         * Unique identifier of the self-hosted runner.
         */
        runner_id: number & tags.Type<"int32">;
    };
    type GetQuery = {
        /**
         * The name of a self-hosted runner.
         */
        name?: string;
    };
    type DeleteHeader = {
        /**
         * The account owner of the repository. The name is not case sensitive.
         */
        owner: string;
        /**
         * The name of the repository without the `.git` extension. The name is not case sensitive.
         */
        repo: string;
        /**
         * Unique identifier of the self-hosted runner.
         */
        runner_id: number & tags.Type<"int32">;
    };
}
