import { tags } from "typia";
export declare namespace IApiReposDependabotAlerts {
    type GetHeader = {
        /**
         * The account owner of the repository. The name is not case sensitive.
         */
        owner: string;
        /**
         * The name of the repository without the `.git` extension. The name is not case sensitive.
         */
        repo: string;
    };
    type GetQuery = {
        /**
         * **Deprecated**. Page number of the results to fetch. Use cursor-based pagination with `before` or `after` instead.
         */
        page?: number & tags.Type<"int32"> & tags.Default<1>;
        /**
         * The number of results per page (max 100). For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."
         */
        per_page?: number & tags.Type<"int32"> & tags.Default<30>;
    };
    type PatchHeader = {
        /**
         * The account owner of the repository. The name is not case sensitive.
         */
        owner: string;
        /**
         * The name of the repository without the `.git` extension. The name is not case sensitive.
         */
        repo: string;
    };
}
