import { tags } from "typia";
export declare namespace IApiReposDeploymentsStatuses {
    type GetHeader = {
        /**
         * The account owner of the repository. The name is not case sensitive.
         */
        owner: string;
        /**
         * The name of the repository without the `.git` extension. The name is not case sensitive.
         */
        repo: string;
        /**
         * deployment_id parameter
         */
        deployment_id: number & tags.Type<"int32">;
    };
    type PostHeader = {
        /**
         * The account owner of the repository. The name is not case sensitive.
         */
        owner: string;
        /**
         * The name of the repository without the `.git` extension. The name is not case sensitive.
         */
        repo: string;
        /**
         * deployment_id parameter
         */
        deployment_id: number & tags.Type<"int32">;
    };
}
