import { tags } from "typia";
export declare namespace IApiReposEnvironmentsDeploymentProtectionRulesApps {
    type GetHeader = {
        /**
         * The name of the environment. The name must be URL encoded. For example, any slashes in the name must be replaced with `%2F`.
         */
        environment_name: string;
        /**
         * The name of the repository without the `.git` extension. The name is not case sensitive.
         */
        repo: string;
        /**
         * The account owner of the repository. The name is not case sensitive.
         */
        owner: string;
        /**
         * The page number of the results to fetch. For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."
         */
        page?: number & tags.Type<"int32"> & tags.Default<1>;
        /**
         * The number of results per page (max 100). For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."
         */
        per_page?: number & tags.Type<"int32"> & tags.Default<30>;
    };
}
