import { tags } from "typia";
export declare namespace IApiTeamsRepos {
    type GetHeader = {
        /**
         * The unique identifier of the team.
         */
        team_id: number & tags.Type<"int32">;
        /**
         * The account owner of the repository. The name is not case sensitive.
         */
        owner: string;
        /**
         * The name of the repository without the `.git` extension. The name is not case sensitive.
         */
        repo: string;
    };
    type PutHeader = {
        /**
         * The unique identifier of the team.
         */
        team_id: number & tags.Type<"int32">;
        /**
         * The account owner of the repository. The name is not case sensitive.
         */
        owner: string;
        /**
         * The name of the repository without the `.git` extension. The name is not case sensitive.
         */
        repo: string;
    };
    type DeleteHeader = {
        /**
         * The unique identifier of the team.
         */
        team_id: number & tags.Type<"int32">;
        /**
         * The account owner of the repository. The name is not case sensitive.
         */
        owner: string;
        /**
         * The name of the repository without the `.git` extension. The name is not case sensitive.
         */
        repo: string;
    };
}
