import { tags } from "typia";
import { dependabot_minus_alert_minus_package } from "./dependabot_minus_alert_minus_package";
/**
 * Details pertaining to one vulnerable version range for the advisory.
 */
export type dependabot_minus_alert_minus_security_minus_vulnerability = {
    package: dependabot_minus_alert_minus_package;
    /**
     * The severity of the vulnerability.
     */
    severity: "low" | "medium" | "high" | "critical";
    /**
     * Conditions that identify vulnerable versions of this vulnerability's package.
     */
    vulnerable_version_range: string & tags.JsonSchemaPlugin<{
        readOnly: true;
    }>;
    /**
     * Details pertaining to the package version that patches this vulnerability.
     */
    first_patched_version: {
        /**
         * The package version that patches this vulnerability.
         */
        identifier: string & tags.JsonSchemaPlugin<{
            readOnly: true;
        }>;
    } | null;
};
