import { security_minus_advisory_minus_ecosystems } from "./security_minus_advisory_minus_ecosystems";
/**
 * A product affected by the vulnerability detailed in a repository security advisory.
 */
export type repository_minus_advisory_minus_vulnerability = {
    /**
     * The name of the package affected by the vulnerability.
     */
    package: {
        ecosystem: security_minus_advisory_minus_ecosystems;
        /**
         * The unique package name within its ecosystem.
         */
        name: string | null;
    } | null;
    /**
     * The range of the package versions affected by the vulnerability.
     */
    vulnerable_version_range: string | null;
    /**
     * The package version(s) that resolve the vulnerability.
     */
    patched_versions: string | null;
    /**
     * The functions in the package that are affected.
     */
    vulnerable_functions: string[] | null;
};
